// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ArtQtyAllocateDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtQtyAllocate的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 14:18:42
 *
 ******************************************************************************/
type ArtQtyAllocateDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ArtQtyAllocate
	 *
	 * @Function Parameters      : 需要插入的ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	InsertOne(*model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ArtQtyAllocate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	DeleteOne(int, string, string, string, int, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ArtQtyAllocate
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	SelectOne(int, string, string, string, int, string, int) (*model.ArtQtyAllocate, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ArtQtyAllocate
	 *
	 * @Function Parameters      : 需要修改的ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	UpdateOne(*model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ArtQtyAllocate
	 *
	 * @Function Parameters      : 需要插入的ArtQtyAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Insert(*[]model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ArtQtyAllocate
	 *
	 * @Function Parameters      : 需要删除的ArtQtyAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Delete(*[]model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtQtyAllocate
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ArtQtyAllocate, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询ArtQtyAllocate指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2021-11-24 14:18:42
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]model.ArtQtyAllocate, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ArtQtyAllocate并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ArtQtyAllocate
	 *
	 * @Function Parameters      : 需要修改的ArtQtyAllocate列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	Update(*[]model.ArtQtyAllocate) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ArtQtyAllocate
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-24 14:18:42
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ArtQtyAllocate, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectByArtId
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过物料查询匹配的共用规则
	 *
	 * @Function Parameters      : 物料ID
	 *
	 * @Function Parameters      : 项目ID
	 *
	 * @Function Parameters      : attrcode列表
	 *
	 * @Return Value             : 共用规则列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-11-24
	 *
	 ******************************************************************************/
	SelectByArtId(artId string, projectId string, attrCodeLi []int) ([]model.ArtQtyAllocate, error)
}

/******************************************************************************
 *
 * @Function Name            : NewArtQtyAllocateDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ArtQtyAllocateDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ArtQtyAllocateDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-24 14:18:42
 *
 ******************************************************************************/
func NewArtQtyAllocateDAO(session *xorm.Session, plantNr int, userid string) ArtQtyAllocateDAO {
	return implments.NewArtQtyAllocateDAOImplement(session, plantNr, userid)
}
