// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : CrossPlanTaskDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : CrossPlanTask的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-10 22:01:07
 *
 ******************************************************************************/
type CrossPlanTaskDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条CrossPlanTask
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTask
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	InsertOne(*model.CrossPlanTask) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的CrossPlanTask
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	DeleteOne(int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的CrossPlanTask
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的CrossPlanTask
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	SelectOne(int) (*model.CrossPlanTask, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改CrossPlanTask
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTask
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	UpdateOne(*model.CrossPlanTask) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条CrossPlanTask
	 *
	 * @Function Parameters      : 需要插入的CrossPlanTask列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	Insert(*[]model.CrossPlanTask) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条CrossPlanTask
	 *
	 * @Function Parameters      : 需要删除的CrossPlanTask列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	Delete(*[]model.CrossPlanTask) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除CrossPlanTask
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CrossPlanTask
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.CrossPlanTask, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询CrossPlanTask指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-05-10 22:01:07
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询CrossPlanTask并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条CrossPlanTask
	 *
	 * @Function Parameters      : 需要修改的CrossPlanTask列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	Update(*[]model.CrossPlanTask) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改CrossPlanTask
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-05-10 22:01:07
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.CrossPlanTask, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewCrossPlanTaskDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个CrossPlanTaskDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : CrossPlanTaskDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-10 22:01:07
 *
 ******************************************************************************/
func NewCrossPlanTaskDAO(session *xorm.Session, userid string) CrossPlanTaskDAO {
	return implments.NewCrossPlanTaskDAOImplement(session, userid)
}
