// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : PrintBasicRuleInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : PrintBasicRuleInfo的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-01 11:23:29
 *
 ******************************************************************************/
type PrintBasicRuleInfoDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 需要插入的PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	InsertOne(*model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	DeleteOne(int, int, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	SelectOne(int, int, string, string) (*model.PrintBasicRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 需要修改的PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	UpdateOne(*model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 需要插入的PrintBasicRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Insert(*[]model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 需要删除的PrintBasicRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Delete(*[]model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.PrintBasicRuleInfo, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询PrintBasicRuleInfo指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2021-12-01 11:23:29
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]model.PrintBasicRuleInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询PrintBasicRuleInfo并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PrintBasicRuleInfo
	 *
	 * @Function Parameters      : 需要修改的PrintBasicRuleInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	Update(*[]model.PrintBasicRuleInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改PrintBasicRuleInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-12-01 11:23:29
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.PrintBasicRuleInfo, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewPrintBasicRuleInfoDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PrintBasicRuleInfoDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : PrintBasicRuleInfoDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-12-01 11:23:29
 *
 ******************************************************************************/
func NewPrintBasicRuleInfoDAO(session *xorm.Session, plantNr int, userid string) PrintBasicRuleInfoDAO {
	return implments.NewPrintBasicRuleInfoDAOImplement(session, plantNr, userid)
}
