// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/dao/base/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ReceiptDetailDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReceiptDetail的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type ReceiptDetailDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ReceiptDetail
	 *
	 * @Function Parameters      : 需要插入的ReceiptDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	InsertOne(*model.ReceiptDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ReceiptDetail
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	DeleteOne(string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ReceiptDetail
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ReceiptDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	SelectOne(string, int) (*model.ReceiptDetail, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ReceiptDetail
	 *
	 * @Function Parameters      : 需要修改的ReceiptDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	UpdateOne(*model.ReceiptDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ReceiptDetail
	 *
	 * @Function Parameters      : 需要插入的ReceiptDetail列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	Insert(*[]model.ReceiptDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ReceiptDetail
	 *
	 * @Function Parameters      : 需要删除的ReceiptDetail列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	Delete(*[]model.ReceiptDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ReceiptDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ReceiptDetail
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ReceiptDetail, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询ReceiptDetail指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2021-11-25 16:19:35
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]model.ReceiptDetail, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ReceiptDetail并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ReceiptDetail
	 *
	 * @Function Parameters      : 需要修改的ReceiptDetail列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	Update(*[]model.ReceiptDetail) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ReceiptDetail
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-11-25 16:19:35
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ReceiptDetail, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewReceiptDetailDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ReceiptDetailDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ReceiptDetailDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func NewReceiptDetailDAO(session *xorm.Session, plantNr int, userid string) ReceiptDetailDAO {
	return implments.NewReceiptDetailDAOImplement(session, plantNr, userid)
}
