// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/dao/eol/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/eol"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : EOLBRDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLBR的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
type EOLBRDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条EOLBR
	 *
	 * @Function Parameters      : 需要插入的EOLBR
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	InsertOne(*model.EOLBR) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的EOLBR
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	DeleteOne() error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的EOLBR
	 *
	 * @Return Value             : 查找到的EOLBR
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	SelectOne() (*model.EOLBR, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改EOLBR
	 *
	 * @Function Parameters      : 需要修改的EOLBR
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	UpdateOne(*model.EOLBR) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条EOLBR
	 *
	 * @Function Parameters      : 需要插入的EOLBR列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	Insert(*[]model.EOLBR) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条EOLBR
	 *
	 * @Function Parameters      : 需要删除的EOLBR列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	Delete(*[]model.EOLBR) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除EOLBR
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询EOLBR
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.EOLBR, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询EOLBR指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-03-30 15:04:57
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询EOLBR并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条EOLBR
	 *
	 * @Function Parameters      : 需要修改的EOLBR列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	Update(*[]model.EOLBR) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改EOLBR
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-30 15:04:57
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.EOLBR, ...string) error
}

/******************************************************************************
 *
 * @Function Name            : NewEOLBRDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个EOLBRDAO实例
 *
 * @Function Parameters      : xorm会话
 *

 * @Return Value             : EOLBRDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 15:04:57
 *
 ******************************************************************************/
func NewEOLBRDAO(session *xorm.Session, userid string) EOLBRDAO {
	return implments.NewEOLBRDAOImplement(session, userid)
}
