// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/dao/pln/implments"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"github.com/go-xorm/xorm"
)

/******************************************************************************
 *
 * @Interface Name           : ToyotaDeliveryOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaDeliveryOrder的数据访问对象接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
type ToyotaDeliveryOrderDAO interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 需要插入的ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	InsertOne(*model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	DeleteOne(string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	SelectOne(string) (*model.ToyotaDeliveryOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 需要修改的ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	UpdateOne(*model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 需要插入的ToyotaDeliveryOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Insert(*[]model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 需要删除的ToyotaDeliveryOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Delete(*[]model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件删除ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	DeleteWhere([]grmi.Predicate) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Select([]grmi.Predicate, []grmi.Field) ([]model.ToyotaDeliveryOrder, error)
	/******************************************************************************
	*
	* @Function Name : SelectCols
	*-----------------------------------------------------------------------------
	*
	* @Description : 按条件查询ToyotaDeliveryOrder指定列
	*
	* @Function Parameters : 查询条件
	*
	* @Function Parameters : 排序字段
	*
	* @Return Value : 查询结果
	*
	* @Return Value : 执行时发生的错误
	*
	* @Author : 代码生成器创建
	*
	* @Date : 2022-01-26 09:51:03
	*
	******************************************************************************/
	SelectCols([]grmi.Predicate, []grmi.Field, []string) ([]map[string]interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ToyotaDeliveryOrder并分页
	 *
	 * @Function Parameters      : 分页信息
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	SelectAndPaging(*grmi.Paging, []grmi.Predicate, []grmi.Field) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ToyotaDeliveryOrder
	 *
	 * @Function Parameters      : 需要修改的ToyotaDeliveryOrder列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Update(*[]model.ToyotaDeliveryOrder) error
	/******************************************************************************
	 *
	 * @Function Name            : UpdateWhere
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件修改ToyotaDeliveryOrder
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	UpdateWhere([]grmi.Predicate, *model.ToyotaDeliveryOrder, ...string) error
	/******************************************************************************
	 *
	 * @Function Name            : GetMaxSortNr
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 获取项目下最大的sortNr
	 *
	 * @Return Value             : 最大的sortNr
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-01-27
	 *
	 ******************************************************************************/
	GetMaxSortNr(projectId string) (int, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectTopOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ToyotaDeliveryOrder 只返回一个
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-07
	 *
	 ******************************************************************************/
	SelectTopOne(predicates []grmi.Predicate, orderByFields []grmi.Field) (*model.ToyotaDeliveryOrder, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectTopOneDesc
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 按条件查询ToyotaDeliveryOrder 只返回一个 倒叙
	 *
	 * @Function Parameters      : 查询条件
	 *
	 * @Function Parameters      : 排序字段
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-14
	 *
	 ******************************************************************************/
	SelectTopOneDesc(predicates []grmi.Predicate, orderByFields []grmi.Field) (*model.ToyotaDeliveryOrder, error)
}

/******************************************************************************
 *
 * @Function Name            : NewToyotaDeliveryOrderDAO
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ToyotaDeliveryOrderDAO实例
 *
 * @Function Parameters      : xorm会话
 *
 * @Function Parameters      : 基本主键
 *
 * @Return Value             : ToyotaDeliveryOrderDAO实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
func NewToyotaDeliveryOrderDAO(session *xorm.Session, plantNr int, userid string) ToyotaDeliveryOrderDAO {
	return implments.NewToyotaDeliveryOrderDAOImplement(session, plantNr, userid)
}
