// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : MaterialFrameInfo的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-19 16:19:33
 *
 ******************************************************************************/
var MaterialFrameInfo_PlantNr = grmi.NewField("PlantNr", "[MaterialFrameInfo].PlantNr", "plantnr", grmi.TypeInt)
var MaterialFrameInfo_WorkPlaceNr = grmi.NewField("WorkPlaceNr", "[MaterialFrameInfo].WorkPlaceNr", "workplacenr", grmi.TypeInt)
var MaterialFrameInfo_WorkPlaceDesc = grmi.NewField("WorkPlaceDesc", "[MaterialFrameInfo].WorkPlaceDesc", "workplacedesc", grmi.TypeString)
var MaterialFrameInfo_GatewayIP = grmi.NewField("GatewayIP", "[MaterialFrameInfo].GatewayIP", "gatewayip", grmi.TypeString)
var MaterialFrameInfo_LampAddress = grmi.NewField("LampAddress", "[MaterialFrameInfo].LampAddress", "lampaddress", grmi.TypeString)
var MaterialFrameInfo_FrameID = grmi.NewField("FrameID", "[MaterialFrameInfo].FrameID", "frameid", grmi.TypeInt)
var MaterialFrameInfo_LevelID = grmi.NewField("LevelID", "[MaterialFrameInfo].LevelID", "levelid", grmi.TypeInt)
var MaterialFrameInfo_BoxID = grmi.NewField("BoxID", "[MaterialFrameInfo].BoxID", "boxid", grmi.TypeInt)
var MaterialFrameInfo_TagAddr = grmi.NewField("TagAddr", "[MaterialFrameInfo].TagAddr", "tagaddr", grmi.TypeString)
var MaterialFrameInfo_ArtID = grmi.NewField("ArtID", "[MaterialFrameInfo].ArtID", "artid", grmi.TypeString)
var MaterialFrameInfo_CustArtID = grmi.NewField("CustArtID", "[MaterialFrameInfo].CustArtID", "custartid", grmi.TypeString)
var MaterialFrameInfo_DescCN = grmi.NewField("DescCN", "[MaterialFrameInfo].DescCN", "desccn", grmi.TypeString)
var MaterialFrameInfo_StandardPack = grmi.NewField("StandardPack", "[MaterialFrameInfo].StandardPack", "standardpack", grmi.TypeInt)
var MaterialFrameInfo_FullLoadNum = grmi.NewField("FullLoadNum", "[MaterialFrameInfo].FullLoadNum", "fullloadnum", grmi.TypeInt)
var MaterialFrameInfo_InitialNum = grmi.NewField("InitialNum", "[MaterialFrameInfo].InitialNum", "initialnum", grmi.TypeInt)
var MaterialFrameInfo_AlreadyPicked = grmi.NewField("AlreadyPicked", "[MaterialFrameInfo].AlreadyPicked", "alreadypicked", grmi.TypeInt)
var MaterialFrameInfo_LastCallSystime = grmi.NewField("LastCallSystime", "[MaterialFrameInfo].LastCallSystime", "lastcallsystime", grmi.TypeDateTime)
var MaterialFrameInfo_LastRespondSystime = grmi.NewField("LastRespondSystime", "[MaterialFrameInfo].LastRespondSystime", "lastrespondsystime", grmi.TypeDateTime)
var MaterialFrameInfo_AGVStatusFlag = grmi.NewField("AGVStatusFlag", "[MaterialFrameInfo].AGVStatusFlag", "agvstatusflag", grmi.TypeInt)
var MaterialFrameInfo_LastModify = grmi.NewField("LastModify", "[MaterialFrameInfo].LastModify", "lastmodify", grmi.TypeDateTime)
var MaterialFrameInfo_LastUser = grmi.NewField("LastUser", "[MaterialFrameInfo].LastUser", "lastuser", grmi.TypeString)
var MaterialFrameInfo_CreateTime = grmi.NewField("CreateTime", "[MaterialFrameInfo].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : MaterialFrameInfo的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-19 16:19:33
 *
 ******************************************************************************/
var MaterialFrameInfo = grmi.NewEntity(
	"MaterialFrameInfo",
	func() interface{} { return &model.MaterialFrameInfo{} },
	map[string]grmi.Field{
		MaterialFrameInfo_PlantNr.Name:            MaterialFrameInfo_PlantNr,
		MaterialFrameInfo_WorkPlaceNr.Name:        MaterialFrameInfo_WorkPlaceNr,
		MaterialFrameInfo_WorkPlaceDesc.Name:      MaterialFrameInfo_WorkPlaceDesc,
		MaterialFrameInfo_GatewayIP.Name:          MaterialFrameInfo_GatewayIP,
		MaterialFrameInfo_LampAddress.Name:        MaterialFrameInfo_LampAddress,
		MaterialFrameInfo_FrameID.Name:            MaterialFrameInfo_FrameID,
		MaterialFrameInfo_LevelID.Name:            MaterialFrameInfo_LevelID,
		MaterialFrameInfo_BoxID.Name:              MaterialFrameInfo_BoxID,
		MaterialFrameInfo_TagAddr.Name:            MaterialFrameInfo_TagAddr,
		MaterialFrameInfo_ArtID.Name:              MaterialFrameInfo_ArtID,
		MaterialFrameInfo_CustArtID.Name:          MaterialFrameInfo_CustArtID,
		MaterialFrameInfo_DescCN.Name:             MaterialFrameInfo_DescCN,
		MaterialFrameInfo_StandardPack.Name:       MaterialFrameInfo_StandardPack,
		MaterialFrameInfo_FullLoadNum.Name:        MaterialFrameInfo_FullLoadNum,
		MaterialFrameInfo_InitialNum.Name:         MaterialFrameInfo_InitialNum,
		MaterialFrameInfo_AlreadyPicked.Name:      MaterialFrameInfo_AlreadyPicked,
		MaterialFrameInfo_LastCallSystime.Name:    MaterialFrameInfo_LastCallSystime,
		MaterialFrameInfo_LastRespondSystime.Name: MaterialFrameInfo_LastRespondSystime,
		MaterialFrameInfo_AGVStatusFlag.Name:      MaterialFrameInfo_AGVStatusFlag,
		MaterialFrameInfo_LastModify.Name:         MaterialFrameInfo_LastModify,
		MaterialFrameInfo_LastUser.Name:           MaterialFrameInfo_LastUser,
		MaterialFrameInfo_CreateTime.Name:         MaterialFrameInfo_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"FullLoadNum", "InitialNum", "AlreadyPicked", "LastCallSystime", "LastRespondSystime", "AGVStatusFlag", "LastUser"})
