// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Process的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
var Process_PlantNr = grmi.NewField("PlantNr", "[Process].PlantNr", "plantnr", grmi.TypeInt)
var Process_PO = grmi.NewField("PO", "[Process].PO", "po", grmi.TypeString)
var Process_Name = grmi.NewField("Name", "[Process].Name", "name", grmi.TypeString)
var Process_Descr = grmi.NewField("Descr", "[Process].Descr", "descr", grmi.TypeString)
var Process_PrePO = grmi.NewField("PrePO", "[Process].PrePO", "prepo", grmi.TypeString)
var Process_NextPO = grmi.NewField("NextPO", "[Process].NextPO", "nextpo", grmi.TypeString)
var Process_IsFirstPO = grmi.NewField("IsFirstPO", "[Process].IsFirstPO", "isfirstpo", grmi.TypeBool)
var Process_IsLastPO = grmi.NewField("IsLastPO", "[Process].IsLastPO", "islastpo", grmi.TypeBool)
var Process_PrePOForBK = grmi.NewField("PrePOForBK", "[Process].PrePOForBK", "prepoforbk", grmi.TypeString)
var Process_NextPOForBK = grmi.NewField("NextPOForBK", "[Process].NextPOForBK", "nextpoforbk", grmi.TypeString)
var Process_IsFirstPOForBK = grmi.NewField("IsFirstPOForBK", "[Process].IsFirstPOForBK", "isfirstpoforbk", grmi.TypeBool)
var Process_IsLastPOForBK = grmi.NewField("IsLastPOForBK", "[Process].IsLastPOForBK", "islastpoforbk", grmi.TypeBool)
var Process_HasDependOn = grmi.NewField("HasDependOn", "[Process].HasDependOn", "hasdependon", grmi.TypeBool)
var Process_EnableMonitor = grmi.NewField("EnableMonitor", "[Process].EnableMonitor", "enablemonitor", grmi.TypeBool)
var Process_AllowPrePOStatus = grmi.NewField("AllowPrePOStatus", "[Process].AllowPrePOStatus", "allowprepostatus", grmi.TypeString)
var Process_AllowPrePOStatusForBK = grmi.NewField("AllowPrePOStatusForBK", "[Process].AllowPrePOStatusForBK", "allowprepostatusforbk", grmi.TypeString)
var Process_LastModify = grmi.NewField("LastModify", "[Process].LastModify", "lastmodify", grmi.TypeDateTime)
var Process_LastUser = grmi.NewField("LastUser", "[Process].LastUser", "lastuser", grmi.TypeString)
var Process_CreateTime = grmi.NewField("CreateTime", "[Process].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Process的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
var Process = grmi.NewEntity(
	"Process",
	func() interface{} { return &model.Process{} },
	map[string]grmi.Field{
		Process_PlantNr.Name:               Process_PlantNr,
		Process_PO.Name:                    Process_PO,
		Process_Name.Name:                  Process_Name,
		Process_Descr.Name:                 Process_Descr,
		Process_PrePO.Name:                 Process_PrePO,
		Process_NextPO.Name:                Process_NextPO,
		Process_IsFirstPO.Name:             Process_IsFirstPO,
		Process_IsLastPO.Name:              Process_IsLastPO,
		Process_PrePOForBK.Name:            Process_PrePOForBK,
		Process_NextPOForBK.Name:           Process_NextPOForBK,
		Process_IsFirstPOForBK.Name:        Process_IsFirstPOForBK,
		Process_IsLastPOForBK.Name:         Process_IsLastPOForBK,
		Process_HasDependOn.Name:           Process_HasDependOn,
		Process_EnableMonitor.Name:         Process_EnableMonitor,
		Process_AllowPrePOStatus.Name:      Process_AllowPrePOStatus,
		Process_AllowPrePOStatusForBK.Name: Process_AllowPrePOStatusForBK,
		Process_LastModify.Name:            Process_LastModify,
		Process_LastUser.Name:              Process_LastUser,
		Process_CreateTime.Name:            Process_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Name", "Descr", "PrePO", "NextPO", "IsFirstPO", "IsLastPO", "PrePOForBK", "NextPOForBK", "IsFirstPOForBK", "IsLastPOForBK", "HasDependOn", "EnableMonitor", "AllowPrePOStatus", "AllowPrePOStatusForBK", "LastUser"})
