// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : WorkLine的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 14:57:09
 *
 ******************************************************************************/
var WorkLine_PlantNr = grmi.NewField("PlantNr", "[WorkLine].PlantNr", "plantnr", grmi.TypeInt)
var WorkLine_WorkLineid = grmi.NewField("WorkLineid", "[WorkLine].WorkLineid", "worklineid", grmi.TypeString)
var WorkLine_Descr = grmi.NewField("Descr", "[WorkLine].Descr", "descr", grmi.TypeString)
var WorkLine_LineType = grmi.NewField("LineType", "[WorkLine].LineType", "linetype", grmi.TypeString)
var WorkLine_GroupType = grmi.NewField("GroupType", "[WorkLine].GroupType", "grouptype", grmi.TypeString)
var WorkLine_GroupLineId = grmi.NewField("GroupLineId", "[WorkLine].GroupLineId", "grouplineid", grmi.TypeString)
var WorkLine_LinePlanMode = grmi.NewField("LinePlanMode", "[WorkLine].LinePlanMode", "lineplanmode", grmi.TypeString)
var WorkLine_WeekModelNr = grmi.NewField("WeekModelNr", "[WorkLine].WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WorkLine_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "[WorkLine].WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkLine_Location = grmi.NewField("Location", "[WorkLine].Location", "location", grmi.TypeString)
var WorkLine_CostCenterId = grmi.NewField("CostCenterId", "[WorkLine].CostCenterId", "costcenterid", grmi.TypeString)
var WorkLine_CostRate = grmi.NewField("CostRate", "[WorkLine].CostRate", "costrate", grmi.TypeFloat64)
var WorkLine_ProdEff = grmi.NewField("ProdEff", "[WorkLine].ProdEff", "prodeff", grmi.TypeFloat64)
var WorkLine_ReqWorkers = grmi.NewField("ReqWorkers", "[WorkLine].ReqWorkers", "reqworkers", grmi.TypeInt)
var WorkLine_Pos = grmi.NewField("Pos", "[WorkLine].Pos", "pos", grmi.TypeInt)
var WorkLine_CheckFirstPieceTogge = grmi.NewField("CheckFirstPieceTogge", "[WorkLine].CheckFirstPieceTogge", "checkfirstpiecetogge", grmi.TypeBool)
var WorkLine_TaskQueueSortWay = grmi.NewField("TaskQueueSortWay", "[WorkLine].TaskQueueSortWay", "taskqueuesortway", grmi.TypeString)
var WorkLine_MultiQueueMixSortToggle = grmi.NewField("MultiQueueMixSortToggle", "[WorkLine].MultiQueueMixSortToggle", "multiqueuemixsorttoggle", grmi.TypeBool)
var WorkLine_TaskQueueMixSortWay = grmi.NewField("TaskQueueMixSortWay", "[WorkLine].TaskQueueMixSortWay", "taskqueuemixsortway", grmi.TypeString)
var WorkLine_MixSortLogic = grmi.NewField("MixSortLogic", "[WorkLine].MixSortLogic", "mixsortlogic", grmi.TypeString)
var WorkLine_TaskReleaseWay = grmi.NewField("TaskReleaseWay", "[WorkLine].TaskReleaseWay", "taskreleaseway", grmi.TypeString)
var WorkLine_ReleaseQtyParameter = grmi.NewField("ReleaseQtyParameter", "[WorkLine].ReleaseQtyParameter", "releaseqtyparameter", grmi.TypeInt)
var WorkLine_ReleaseTimeParameter = grmi.NewField("ReleaseTimeParameter", "[WorkLine].ReleaseTimeParameter", "releasetimeparameter", grmi.TypeDateTime)
var WorkLine_ReleaseCtrlParameter = grmi.NewField("ReleaseCtrlParameter", "[WorkLine].ReleaseCtrlParameter", "releasectrlparameter", grmi.TypeString)
var WorkLine_ReleaseDurationParameter = grmi.NewField("ReleaseDurationParameter", "[WorkLine].ReleaseDurationParameter", "releasedurationparameter", grmi.TypeInt)
var WorkLine_SchedKeySnr = grmi.NewField("SchedKeySnr", "[WorkLine].SchedKeySnr", "schedkeysnr", grmi.TypeString)
var WorkLine_SerialOrderSnr = grmi.NewField("SerialOrderSnr", "[WorkLine].SerialOrderSnr", "serialordersnr", grmi.TypeString)
var WorkLine_LastModify = grmi.NewField("LastModify", "[WorkLine].LastModify", "lastmodify", grmi.TypeDateTime)
var WorkLine_LastUser = grmi.NewField("LastUser", "[WorkLine].LastUser", "lastuser", grmi.TypeString)
var WorkLine_CreateTime = grmi.NewField("CreateTime", "[WorkLine].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : WorkLine的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 14:57:09
 *
 ******************************************************************************/
var WorkLine = grmi.NewEntity(
	"WorkLine",
	func() interface{} { return &model.WorkLine{} },
	map[string]grmi.Field{
		WorkLine_PlantNr.Name:                  WorkLine_PlantNr,
		WorkLine_WorkLineid.Name:               WorkLine_WorkLineid,
		WorkLine_Descr.Name:                    WorkLine_Descr,
		WorkLine_LineType.Name:                 WorkLine_LineType,
		WorkLine_GroupType.Name:                WorkLine_GroupType,
		WorkLine_GroupLineId.Name:              WorkLine_GroupLineId,
		WorkLine_LinePlanMode.Name:             WorkLine_LinePlanMode,
		WorkLine_WeekModelNr.Name:              WorkLine_WeekModelNr,
		WorkLine_WorkCalendarNr.Name:           WorkLine_WorkCalendarNr,
		WorkLine_Location.Name:                 WorkLine_Location,
		WorkLine_CostCenterId.Name:             WorkLine_CostCenterId,
		WorkLine_CostRate.Name:                 WorkLine_CostRate,
		WorkLine_ProdEff.Name:                  WorkLine_ProdEff,
		WorkLine_ReqWorkers.Name:               WorkLine_ReqWorkers,
		WorkLine_Pos.Name:                      WorkLine_Pos,
		WorkLine_CheckFirstPieceTogge.Name:     WorkLine_CheckFirstPieceTogge,
		WorkLine_TaskQueueSortWay.Name:         WorkLine_TaskQueueSortWay,
		WorkLine_MultiQueueMixSortToggle.Name:  WorkLine_MultiQueueMixSortToggle,
		WorkLine_TaskQueueMixSortWay.Name:      WorkLine_TaskQueueMixSortWay,
		WorkLine_MixSortLogic.Name:             WorkLine_MixSortLogic,
		WorkLine_TaskReleaseWay.Name:           WorkLine_TaskReleaseWay,
		WorkLine_ReleaseQtyParameter.Name:      WorkLine_ReleaseQtyParameter,
		WorkLine_ReleaseTimeParameter.Name:     WorkLine_ReleaseTimeParameter,
		WorkLine_ReleaseCtrlParameter.Name:     WorkLine_ReleaseCtrlParameter,
		WorkLine_ReleaseDurationParameter.Name: WorkLine_ReleaseDurationParameter,
		WorkLine_SchedKeySnr.Name:              WorkLine_SchedKeySnr,
		WorkLine_SerialOrderSnr.Name:           WorkLine_SerialOrderSnr,
		WorkLine_LastModify.Name:               WorkLine_LastModify,
		WorkLine_LastUser.Name:                 WorkLine_LastUser,
		WorkLine_CreateTime.Name:               WorkLine_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "LineType", "GroupType", "CheckFirstPieceTogge", "GroupLineId", "LinePlanMode", "WeekModelNr", "WorkCalendarNr", "Location", "CostCenterId", "CostRate", "ProdEff", "ReqWorkers", "Pos", "TaskQueueSortWay", "MultiQueueMixSortToggle", "TaskQueueMixSortWay", "MixSortLogic", "TaskReleaseWay", "ReleaseQtyParameter", "ReleaseTimeParameter", "ReleaseCtrlParameter", "ReleaseDurationParameter", "SchedKeySnr", "SerialOrderSnr", "LastUser"})
