// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : PackTemplate的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackTemplate_PlantNr = grmi.NewField("PlantNr", "[JIT_PackTemplate].PlantNr", "plantnr", grmi.TypeInt)
var PackTemplate_PackTemplateId = grmi.NewField("PackTemplateId", "[JIT_PackTemplate].PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplate_EnabledToggle = grmi.NewField("EnabledToggle", "[JIT_PackTemplate].EnabledToggle", "enabledtoggle", grmi.TypeBool)
var PackTemplate_Descr = grmi.NewField("Descr", "[JIT_PackTemplate].Descr", "descr", grmi.TypeString)
var PackTemplate_ProjectId = grmi.NewField("ProjectId", "[JIT_PackTemplate].ProjectId", "projectid", grmi.TypeString)
var PackTemplate_PackTypeId = grmi.NewField("PackTypeId", "[JIT_PackTemplate].PackTypeId", "packtypeid", grmi.TypeString)
var PackTemplate_UnfullfillableToggle = grmi.NewField("UnfullfillableToggle", "[JIT_PackTemplate].UnfullfillableToggle", "unfullfillabletoggle", grmi.TypeBool)
var PackTemplate_PackOrderSnrId = grmi.NewField("PackOrderSnrId", "[JIT_PackTemplate].PackOrderSnrId", "packordersnrid", grmi.TypeString)
var PackTemplate_PrintQty = grmi.NewField("PrintQty", "[JIT_PackTemplate].PrintQty", "printqty", grmi.TypeInt)
var PackTemplate_PlanQty = grmi.NewField("PlanQty", "[JIT_PackTemplate].PlanQty", "planqty", grmi.TypeInt)
var PackTemplate_PrinterId = grmi.NewField("PrinterId", "[JIT_PackTemplate].PrinterId", "printerid", grmi.TypeString)
var PackTemplate_TemplateFile = grmi.NewField("TemplateFile", "[JIT_PackTemplate].TemplateFile", "templatefile", grmi.TypeString)
var PackTemplate_SyncNr = grmi.NewField("SyncNr", "[JIT_PackTemplate].SyncNr", "syncnr", grmi.TypeInt)
var PackTemplate_Orientation = grmi.NewField("Orientation", "[JIT_PackTemplate].Orientation", "orientation", grmi.TypeInt)
var PackTemplate_SyncFlag = grmi.NewField("SyncFlag", "[JIT_PackTemplate].SyncFlag", "syncflag", grmi.TypeString)
var PackTemplate_BoxSnrId = grmi.NewField("BoxSnrId", "[JIT_PackTemplate].BoxSnrId", "boxsnrid", grmi.TypeString)
var PackTemplate_CheckSyncKey = grmi.NewField("CheckSyncKey", "[JIT_PackTemplate].CheckSyncKey", "checksynckey", grmi.TypeBool)
var PackTemplate_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_PackTemplate].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var PackTemplate_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_PackTemplate].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var PackTemplate_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_PackTemplate].CtrlStr1", "ctrlstr1", grmi.TypeString)
var PackTemplate_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_PackTemplate].CtrlStr2", "ctrlstr2", grmi.TypeString)
var PackTemplate_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_PackTemplate].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var PackTemplate_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_PackTemplate].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var PackTemplate_LastModify = grmi.NewField("LastModify", "[JIT_PackTemplate].LastModify", "lastmodify", grmi.TypeDateTime)
var PackTemplate_LastUser = grmi.NewField("LastUser", "[JIT_PackTemplate].LastUser", "lastuser", grmi.TypeString)
var PackTemplate_CreateTime = grmi.NewField("CreateTime", "[JIT_PackTemplate].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : PackTemplate的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var PackTemplate = grmi.NewEntity(
	"JIT_PackTemplate",
	func() interface{} { return &model.PackTemplate{} },
	map[string]grmi.Field{
		PackTemplate_PlantNr.Name:              PackTemplate_PlantNr,
		PackTemplate_PackTemplateId.Name:       PackTemplate_PackTemplateId,
		PackTemplate_EnabledToggle.Name:        PackTemplate_EnabledToggle,
		PackTemplate_Descr.Name:                PackTemplate_Descr,
		PackTemplate_ProjectId.Name:            PackTemplate_ProjectId,
		PackTemplate_PackTypeId.Name:           PackTemplate_PackTypeId,
		PackTemplate_UnfullfillableToggle.Name: PackTemplate_UnfullfillableToggle,
		PackTemplate_PackOrderSnrId.Name:       PackTemplate_PackOrderSnrId,
		PackTemplate_PrintQty.Name:             PackTemplate_PrintQty,
		PackTemplate_PlanQty.Name:              PackTemplate_PlanQty,
		PackTemplate_PrinterId.Name:            PackTemplate_PrinterId,
		PackTemplate_TemplateFile.Name:         PackTemplate_TemplateFile,
		PackTemplate_SyncNr.Name:               PackTemplate_SyncNr,
		PackTemplate_Orientation.Name:          PackTemplate_Orientation,
		PackTemplate_SyncFlag.Name:             PackTemplate_SyncFlag,
		PackTemplate_BoxSnrId.Name:             PackTemplate_BoxSnrId,
		PackTemplate_CheckSyncKey.Name:         PackTemplate_CheckSyncKey,
		PackTemplate_CtrlPara1.Name:            PackTemplate_CtrlPara1,
		PackTemplate_CtrlPara2.Name:            PackTemplate_CtrlPara2,
		PackTemplate_CtrlStr1.Name:             PackTemplate_CtrlStr1,
		PackTemplate_CtrlStr2.Name:             PackTemplate_CtrlStr2,
		PackTemplate_CtrlTime1.Name:            PackTemplate_CtrlTime1,
		PackTemplate_CtrlTime2.Name:            PackTemplate_CtrlTime2,
		PackTemplate_LastModify.Name:           PackTemplate_LastModify,
		PackTemplate_LastUser.Name:             PackTemplate_LastUser,
		PackTemplate_CreateTime.Name:           PackTemplate_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"EnabledToggle", "Descr", "ProjectId", "PackTypeId", "UnfullfillableToggle", "PackOrderSnrId", "PrintQty", "PlanQty", "PrinterId", "TemplateFile", "SyncNr", "Orientation", "SyncFlag", "BoxSnrId", "CheckSyncKey", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
