// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/jit"
)

/******************************************************************************
 *
 * @Description              : ShipOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrder_PlantNr = grmi.NewField("PlantNr", "[JIT_ShipOrder].PlantNr", "plantnr", grmi.TypeInt)
var ShipOrder_ShipOrderId = grmi.NewField("ShipOrderId", "[JIT_ShipOrder].ShipOrderId", "shiporderid", grmi.TypeString)
var ShipOrder_ShipTemplateId = grmi.NewField("ShipTemplateId", "[JIT_ShipOrder].ShipTemplateId", "shiptemplateid", grmi.TypeString)
var ShipOrder_ProjectId = grmi.NewField("ProjectId", "[JIT_ShipOrder].ProjectId", "projectid", grmi.TypeString)
var ShipOrder_ShipType = grmi.NewField("ShipType", "[JIT_ShipOrder].ShipType", "shiptype", grmi.TypeString)
var ShipOrder_OrderInfo = grmi.NewField("OrderInfo", "[JIT_ShipOrder].OrderInfo", "orderinfo", grmi.TypeString)
var ShipOrder_PrinterId = grmi.NewField("PrinterId", "[JIT_ShipOrder].PrinterId", "printerid", grmi.TypeString)
var ShipOrder_TemplateFile = grmi.NewField("TemplateFile", "[JIT_ShipOrder].TemplateFile", "templatefile", grmi.TypeString)
var ShipOrder_PlanQty = grmi.NewField("PlanQty", "[JIT_ShipOrder].PlanQty", "planqty", grmi.TypeInt)
var ShipOrder_ActQty = grmi.NewField("ActQty", "[JIT_ShipOrder].ActQty", "actqty", grmi.TypeInt)
var ShipOrder_OpenTime = grmi.NewField("OpenTime", "[JIT_ShipOrder].OpenTime", "opentime", grmi.TypeDateTime)
var ShipOrder_CloseTime = grmi.NewField("CloseTime", "[JIT_ShipOrder].CloseTime", "closetime", grmi.TypeDateTime)
var ShipOrder_Operator = grmi.NewField("Operator", "[JIT_ShipOrder].Operator", "operator", grmi.TypeString)
var ShipOrder_FormalShipOrderId = grmi.NewField("FormalShipOrderId", "[JIT_ShipOrder].FormalShipOrderId", "formalshiporderid", grmi.TypeString)
var ShipOrder_SourceId = grmi.NewField("SourceId", "[JIT_ShipOrder].SourceId", "sourceid", grmi.TypeString)
var ShipOrder_PlateNumber = grmi.NewField("PlateNumber", "[JIT_ShipOrder].PlateNumber", "platenumber", grmi.TypeString)
var ShipOrder_CheckCarSet = grmi.NewField("CheckCarSet", "[JIT_ShipOrder].CheckCarSet", "checkcarset", grmi.TypeBool)
var ShipOrder_CtrlPara1 = grmi.NewField("CtrlPara1", "[JIT_ShipOrder].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ShipOrder_CtrlPara2 = grmi.NewField("CtrlPara2", "[JIT_ShipOrder].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ShipOrder_CtrlStr1 = grmi.NewField("CtrlStr1", "[JIT_ShipOrder].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ShipOrder_CtrlStr2 = grmi.NewField("CtrlStr2", "[JIT_ShipOrder].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ShipOrder_CtrlTime1 = grmi.NewField("CtrlTime1", "[JIT_ShipOrder].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ShipOrder_CtrlTime2 = grmi.NewField("CtrlTime2", "[JIT_ShipOrder].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ShipOrder_LastModify = grmi.NewField("LastModify", "[JIT_ShipOrder].LastModify", "lastmodify", grmi.TypeDateTime)
var ShipOrder_LastUser = grmi.NewField("LastUser", "[JIT_ShipOrder].LastUser", "lastuser", grmi.TypeString)
var ShipOrder_CreateTime = grmi.NewField("CreateTime", "[JIT_ShipOrder].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ShipOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
var ShipOrder = grmi.NewEntity(
	"JIT_ShipOrder",
	func() interface{} { return &model.ShipOrder{} },
	map[string]grmi.Field{
		ShipOrder_PlantNr.Name:           ShipOrder_PlantNr,
		ShipOrder_ShipOrderId.Name:       ShipOrder_ShipOrderId,
		ShipOrder_ShipTemplateId.Name:    ShipOrder_ShipTemplateId,
		ShipOrder_ProjectId.Name:         ShipOrder_ProjectId,
		ShipOrder_ShipType.Name:          ShipOrder_ShipType,
		ShipOrder_OrderInfo.Name:         ShipOrder_OrderInfo,
		ShipOrder_PrinterId.Name:         ShipOrder_PrinterId,
		ShipOrder_TemplateFile.Name:      ShipOrder_TemplateFile,
		ShipOrder_PlanQty.Name:           ShipOrder_PlanQty,
		ShipOrder_ActQty.Name:            ShipOrder_ActQty,
		ShipOrder_OpenTime.Name:          ShipOrder_OpenTime,
		ShipOrder_CloseTime.Name:         ShipOrder_CloseTime,
		ShipOrder_Operator.Name:          ShipOrder_Operator,
		ShipOrder_FormalShipOrderId.Name: ShipOrder_FormalShipOrderId,
		ShipOrder_SourceId.Name:          ShipOrder_SourceId,
		ShipOrder_PlateNumber.Name:       ShipOrder_PlateNumber,
		ShipOrder_CheckCarSet.Name:       ShipOrder_CheckCarSet,
		ShipOrder_CtrlPara1.Name:         ShipOrder_CtrlPara1,
		ShipOrder_CtrlPara2.Name:         ShipOrder_CtrlPara2,
		ShipOrder_CtrlStr1.Name:          ShipOrder_CtrlStr1,
		ShipOrder_CtrlStr2.Name:          ShipOrder_CtrlStr2,
		ShipOrder_CtrlTime1.Name:         ShipOrder_CtrlTime1,
		ShipOrder_CtrlTime2.Name:         ShipOrder_CtrlTime2,
		ShipOrder_LastModify.Name:        ShipOrder_LastModify,
		ShipOrder_LastUser.Name:          ShipOrder_LastUser,
		ShipOrder_CreateTime.Name:        ShipOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"ShipTemplateId", "ProjectId", "ShipType", "OrderInfo", "PrinterId", "TemplateFile", "PlanQty", "ActQty", "OpenTime", "CloseTime", "Operator", "FormalShipOrderId", "SourceId", "PlateNumber", "CheckCarSet", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
