// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : HondaDemand的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
var HondaDemand_PlantNr = grmi.NewField("PlantNr", "[PLN_HondaDemand].PlantNr", "plantnr", grmi.TypeInt)
var HondaDemand_DemandId = grmi.NewField("DemandId", "[PLN_HondaDemand].DemandId", "demandid", grmi.TypeString)
var HondaDemand_PlanCode = grmi.NewField("PlanCode", "[PLN_HondaDemand].PlanCode", "plancode", grmi.TypeString)
var HondaDemand_DemandYear = grmi.NewField("DemandYear", "[PLN_HondaDemand].DemandYear", "demandyear", grmi.TypeInt)
var HondaDemand_DemandWeek = grmi.NewField("DemandWeek", "[PLN_HondaDemand].DemandWeek", "demandweek", grmi.TypeInt)
var HondaDemand_DemandDate = grmi.NewField("DemandDate", "[PLN_HondaDemand].DemandDate", "demanddate", grmi.TypeDate)
var HondaDemand_DemandType = grmi.NewField("DemandType", "[PLN_HondaDemand].DemandType", "demandtype", grmi.TypeString)
var HondaDemand_Parsed = grmi.NewField("Parsed", "[PLN_HondaDemand].Parsed", "parsed", grmi.TypeInt)
var HondaDemand_OrderTime = grmi.NewField("OrderTime", "[PLN_HondaDemand].OrderTime", "ordertime", grmi.TypeDateTime)
var HondaDemand_TotalQty = grmi.NewField("TotalQty", "[PLN_HondaDemand].TotalQty", "totalqty", grmi.TypeInt)
var HondaDemand_EdiFile = grmi.NewField("EdiFile", "[PLN_HondaDemand].EdiFile", "edifile", grmi.TypeString)
var HondaDemand_EdiFileType = grmi.NewField("EdiFileType", "[PLN_HondaDemand].EdiFileType", "edifiletype", grmi.TypeString)
var HondaDemand_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_HondaDemand].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var HondaDemand_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_HondaDemand].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var HondaDemand_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_HondaDemand].CtrlStr1", "ctrlstr1", grmi.TypeString)
var HondaDemand_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_HondaDemand].CtrlStr2", "ctrlstr2", grmi.TypeString)
var HondaDemand_CtrlTime1 = grmi.NewField("CtrlTime1", "[PLN_HondaDemand].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var HondaDemand_CtrlTime2 = grmi.NewField("CtrlTime2", "[PLN_HondaDemand].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var HondaDemand_LastModify = grmi.NewField("LastModify", "[PLN_HondaDemand].LastModify", "lastmodify", grmi.TypeDateTime)
var HondaDemand_LastUser = grmi.NewField("LastUser", "[PLN_HondaDemand].LastUser", "lastuser", grmi.TypeString)
var HondaDemand_CreateTime = grmi.NewField("CreateTime", "[PLN_HondaDemand].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : HondaDemand的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
var HondaDemand = grmi.NewEntity(
	"PLN_HondaDemand",
	func() interface{} { return &model.HondaDemand{} },
	map[string]grmi.Field{
		HondaDemand_PlantNr.Name:     HondaDemand_PlantNr,
		HondaDemand_DemandId.Name:    HondaDemand_DemandId,
		HondaDemand_PlanCode.Name:    HondaDemand_PlanCode,
		HondaDemand_DemandYear.Name:  HondaDemand_DemandYear,
		HondaDemand_DemandWeek.Name:  HondaDemand_DemandWeek,
		HondaDemand_DemandDate.Name:  HondaDemand_DemandDate,
		HondaDemand_DemandType.Name:  HondaDemand_DemandType,
		HondaDemand_Parsed.Name:      HondaDemand_Parsed,
		HondaDemand_OrderTime.Name:   HondaDemand_OrderTime,
		HondaDemand_TotalQty.Name:    HondaDemand_TotalQty,
		HondaDemand_EdiFile.Name:     HondaDemand_EdiFile,
		HondaDemand_EdiFileType.Name: HondaDemand_EdiFileType,
		HondaDemand_CtrlPara1.Name:   HondaDemand_CtrlPara1,
		HondaDemand_CtrlPara2.Name:   HondaDemand_CtrlPara2,
		HondaDemand_CtrlStr1.Name:    HondaDemand_CtrlStr1,
		HondaDemand_CtrlStr2.Name:    HondaDemand_CtrlStr2,
		HondaDemand_CtrlTime1.Name:   HondaDemand_CtrlTime1,
		HondaDemand_CtrlTime2.Name:   HondaDemand_CtrlTime2,
		HondaDemand_LastModify.Name:  HondaDemand_LastModify,
		HondaDemand_LastUser.Name:    HondaDemand_LastUser,
		HondaDemand_CreateTime.Name:  HondaDemand_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"PlanCode", "DemandYear", "DemandWeek", "DemandDate", "DemandType", "Parsed", "OrderTime", "TotalQty", "EdiFile", "EdiFileType", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
