// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
)

/******************************************************************************
 *
 * @Description              : ToyotaDeliveryOrder的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
var ToyotaDeliveryOrder_PlantNr = grmi.NewField("PlantNr", "[PLN_ToyotaDeliveryOrder].PlantNr", "plantnr", grmi.TypeInt)
var ToyotaDeliveryOrder_DemandId = grmi.NewField("DemandId", "[PLN_ToyotaDeliveryOrder].DemandId", "demandid", grmi.TypeString)
var ToyotaDeliveryOrder_SortNr = grmi.NewField("SortNr", "[PLN_ToyotaDeliveryOrder].SortNr", "sortnr", grmi.TypeInt)
var ToyotaDeliveryOrder_ProductFamilyId = grmi.NewField("ProductFamilyId", "[PLN_ToyotaDeliveryOrder].ProductFamilyId", "productfamilyid", grmi.TypeString)
var ToyotaDeliveryOrder_ProjectId = grmi.NewField("ProjectId", "[PLN_ToyotaDeliveryOrder].ProjectId", "projectid", grmi.TypeString)
var ToyotaDeliveryOrder_PlcIpAddress = grmi.NewField("PlcIpAddress", "[PLN_ToyotaDeliveryOrder].PlcIpAddress", "plcipaddress", grmi.TypeString)
var ToyotaDeliveryOrder_PlcCode = grmi.NewField("PlcCode", "[PLN_ToyotaDeliveryOrder].PlcCode", "plccode", grmi.TypeString)
var ToyotaDeliveryOrder_Status = grmi.NewField("Status", "[PLN_ToyotaDeliveryOrder].Status", "status", grmi.TypeInt)
var ToyotaDeliveryOrder_CloseTime = grmi.NewField("CloseTime", "[PLN_ToyotaDeliveryOrder].CloseTime", "closetime", grmi.TypeDateTime)
var ToyotaDeliveryOrder_CtrlPara1 = grmi.NewField("CtrlPara1", "[PLN_ToyotaDeliveryOrder].CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ToyotaDeliveryOrder_CtrlPara2 = grmi.NewField("CtrlPara2", "[PLN_ToyotaDeliveryOrder].CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ToyotaDeliveryOrder_CtrlStr1 = grmi.NewField("CtrlStr1", "[PLN_ToyotaDeliveryOrder].CtrlStr1", "ctrlstr1", grmi.TypeString)
var ToyotaDeliveryOrder_CtrlStr2 = grmi.NewField("CtrlStr2", "[PLN_ToyotaDeliveryOrder].CtrlStr2", "ctrlstr2", grmi.TypeString)
var ToyotaDeliveryOrder_CtrlTime1 = grmi.NewField("CtrlTime1", "[PLN_ToyotaDeliveryOrder].CtrlTime1", "ctrltime1", grmi.TypeDateTime)
var ToyotaDeliveryOrder_CtrlTime2 = grmi.NewField("CtrlTime2", "[PLN_ToyotaDeliveryOrder].CtrlTime2", "ctrltime2", grmi.TypeDateTime)
var ToyotaDeliveryOrder_LastModify = grmi.NewField("LastModify", "[PLN_ToyotaDeliveryOrder].LastModify", "lastmodify", grmi.TypeDateTime)
var ToyotaDeliveryOrder_LastUser = grmi.NewField("LastUser", "[PLN_ToyotaDeliveryOrder].LastUser", "lastuser", grmi.TypeString)
var ToyotaDeliveryOrder_CreateTime = grmi.NewField("CreateTime", "[PLN_ToyotaDeliveryOrder].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : ToyotaDeliveryOrder的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
var ToyotaDeliveryOrder = grmi.NewEntity(
	"PLN_ToyotaDeliveryOrder",
	func() interface{} { return &model.ToyotaDeliveryOrder{} },
	map[string]grmi.Field{
		ToyotaDeliveryOrder_PlantNr.Name:         ToyotaDeliveryOrder_PlantNr,
		ToyotaDeliveryOrder_DemandId.Name:        ToyotaDeliveryOrder_DemandId,
		ToyotaDeliveryOrder_SortNr.Name:          ToyotaDeliveryOrder_SortNr,
		ToyotaDeliveryOrder_ProductFamilyId.Name: ToyotaDeliveryOrder_ProductFamilyId,
		ToyotaDeliveryOrder_ProjectId.Name:       ToyotaDeliveryOrder_ProjectId,
		ToyotaDeliveryOrder_PlcIpAddress.Name:    ToyotaDeliveryOrder_PlcIpAddress,
		ToyotaDeliveryOrder_PlcCode.Name:         ToyotaDeliveryOrder_PlcCode,
		ToyotaDeliveryOrder_Status.Name:          ToyotaDeliveryOrder_Status,
		ToyotaDeliveryOrder_CloseTime.Name:       ToyotaDeliveryOrder_CloseTime,
		ToyotaDeliveryOrder_CtrlPara1.Name:       ToyotaDeliveryOrder_CtrlPara1,
		ToyotaDeliveryOrder_CtrlPara2.Name:       ToyotaDeliveryOrder_CtrlPara2,
		ToyotaDeliveryOrder_CtrlStr1.Name:        ToyotaDeliveryOrder_CtrlStr1,
		ToyotaDeliveryOrder_CtrlStr2.Name:        ToyotaDeliveryOrder_CtrlStr2,
		ToyotaDeliveryOrder_CtrlTime1.Name:       ToyotaDeliveryOrder_CtrlTime1,
		ToyotaDeliveryOrder_CtrlTime2.Name:       ToyotaDeliveryOrder_CtrlTime2,
		ToyotaDeliveryOrder_LastModify.Name:      ToyotaDeliveryOrder_LastModify,
		ToyotaDeliveryOrder_LastUser.Name:        ToyotaDeliveryOrder_LastUser,
		ToyotaDeliveryOrder_CreateTime.Name:      ToyotaDeliveryOrder_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SortNr", "ProductFamilyId", "ProjectId", "PlcIpAddress", "PlcCode", "Status", "CloseTime", "CtrlPara1", "CtrlPara2", "CtrlStr1", "CtrlStr2", "CtrlTime1", "CtrlTime2", "LastUser"})
