// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : CrossPlanTask
 *-----------------------------------------------------------------------------
 *
 * @Description              : CrossPlanTask的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-16 14:55:27
 *
 ******************************************************************************/
type CrossPlanTask struct {
	TaskNr         int           `xorm:"pk int 'TaskNr' autoincr" json:"CrossPlanTask-TaskNr"`
	FromPlantNr    int           `xorm:"int 'FromPlantNr' not null" json:"CrossPlanTask-FromPlantNr"`
	ToPlantNr      int           `xorm:"int 'ToPlantNr' not null" json:"CrossPlanTask-ToPlantNr"`
	ProjectId      string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"CrossPlanTask-ProjectId"`
	ArtId          string        `xorm:"nvarchar(255) 'ArtId' not null" json:"CrossPlanTask-ArtId"`
	PlanQty        int           `xorm:"int 'PlanQty' not null" json:"CrossPlanTask-PlanQty"`
	ActQty         int           `xorm:"int 'ActQty' not null" json:"CrossPlanTask-ActQty"`
	Status         int           `xorm:"int 'Status' not null" json:"CrossPlanTask-Status"`
	OrderType      string        `xorm:"nvarchar(40) 'OrderType' not null" json:"CrossPlanTask-OrderType"`
	PlanType       string        `xorm:"nvarchar(40) 'PlanType' not null" json:"CrossPlanTask-PlanType"`
	SchedType      string        `xorm:"nvarchar(255) 'SchedType' not null" json:"CrossPlanTask-SchedType"`
	SourceOrderId  string        `xorm:"nvarchar(40) 'SourceOrderId'" json:"CrossPlanTask-SourceOrderId"`
	PlanStartTime  grmi.DateTime `xorm:"datetime 'PlanStartTime'" json:"CrossPlanTask-PlanStartTime"`
	PlanEndTime    grmi.DateTime `xorm:"datetime 'PlanEndTime'" json:"CrossPlanTask-PlanEndTime"`
	Priority       int           `xorm:"int 'Priority'" json:"CrossPlanTask-Priority"`
	LastPo         string        `xorm:"nvarchar(40) 'LastPo'" json:"CrossPlanTask-LastPo"`
	ReleaseQty     string        `xorm:"nvarchar(100) 'ReleaseQty'" json:"CrossPlanTask-ReleaseQty"`
	StartTime      grmi.DateTime `xorm:"datetime 'StartTime'" json:"CrossPlanTask-StartTime"`
	AccomplishTime grmi.DateTime `xorm:"datetime 'AccomplishTime'" json:"CrossPlanTask-AccomplishTime"`
	ErrorMsg       string        `xorm:"nvarchar(255) 'ErrorMsg'" json:"CrossPlanTask-ErrorMsg"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"CrossPlanTask-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"CrossPlanTask-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"CrossPlanTask-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-16 14:55:27
 *
 ******************************************************************************/
func (self *CrossPlanTask) GetKey() core.PK {
	return core.PK{self.TaskNr}
}
