// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : LabelTemplateDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : LabelTemplateDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type LabelTemplateDetail struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"LabelTemplateDetail-PlantNr"`
	LabelTemplateId  string        `xorm:"pk nvarchar(40) 'LabelTemplateId'" json:"LabelTemplateDetail-LabelTemplateId"`
	Pos              int           `xorm:"pk int 'Pos'" json:"LabelTemplateDetail-Pos"`
	X                int           `xorm:"int 'X' not null" json:"LabelTemplateDetail-X"`
	Y                int           `xorm:"int 'Y' not null" json:"LabelTemplateDetail-Y"`
	Height           int           `xorm:"int 'Height' not null" json:"LabelTemplateDetail-Height"`
	Width            int           `xorm:"int 'Width' not null" json:"LabelTemplateDetail-Width"`
	LabelItemType    string        `xorm:"nvarchar(20) 'LabelItemType' not null" json:"LabelTemplateDetail-LabelItemType"`
	ValueParseToggle bool          `xorm:"bit 'ValueParseToggle' not null" json:"LabelTemplateDetail-ValueParseToggle"`
	LabelItemValue   string        `xorm:"nvarchar(255) 'LabelItemValue' not null" json:"LabelTemplateDetail-LabelItemValue"`
	LabelItemPen     string        `xorm:"nvarchar(255) 'LabelItemPen' not null" json:"LabelTemplateDetail-LabelItemPen"`
	LabelItemFilled  bool          `xorm:"bit 'LabelItemFilled' not null" json:"LabelTemplateDetail-LabelItemFilled"`
	LabelItemFont    string        `xorm:"nvarchar(255) 'LabelItemFont' not null" json:"LabelTemplateDetail-LabelItemFont"`
	PreviewValue     string        `xorm:"nvarchar(255) 'PreviewValue' not null" json:"LabelTemplateDetail-PreviewValue"`
	ShowBarcodeText  bool          `xorm:"bit 'ShowBarcodeText' not null" json:"LabelTemplateDetail-ShowBarcodeText"`
	LabelItemPara1   int           `xorm:"int 'LabelItemPara1' not null" json:"LabelTemplateDetail-LabelItemPara1"`
	LabelItemPara2   int           `xorm:"int 'LabelItemPara2' not null" json:"LabelTemplateDetail-LabelItemPara2"`
	LabelItemPara3   int           `xorm:"int 'LabelItemPara3' not null" json:"LabelTemplateDetail-LabelItemPara3"`
	LabelItemPara4   int           `xorm:"int 'LabelItemPara4' not null" json:"LabelTemplateDetail-LabelItemPara4"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LabelTemplateDetail-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LabelTemplateDetail-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LabelTemplateDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *LabelTemplateDetail) GetKey() core.PK {
	return core.PK{self.PlantNr, self.LabelTemplateId, self.Pos}
}
