// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : LabelTemplateHead
 *-----------------------------------------------------------------------------
 *
 * @Description              : LabelTemplateHead的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type LabelTemplateHead struct {
	PlantNr                 int                   `xorm:"pk int 'PlantNr'" json:"LabelTemplateHead-PlantNr"`
	LabelTemplateId         string                `xorm:"pk nvarchar(40) 'LabelTemplateId'" json:"LabelTemplateHead-LabelTemplateId"`
	Descr                   string                `xorm:"nvarchar(100) 'Descr' not null" json:"LabelTemplateHead-Descr"`
	PrinterId               string                `xorm:"nvarchar(40) 'PrinterId' not null" json:"LabelTemplateHead-PrinterId"`
	LabelTemplateFile       string                `xorm:"nvarchar(40) 'LabelTemplateFile' not null" json:"LabelTemplateHead-LabelTemplateFile"`
	PictureTemplateToggle   bool                  `xorm:"bit 'PictureTemplateToggle' not null" json:"LabelTemplateHead-PictureTemplateToggle"`
	Height                  int                   `xorm:"int 'Height' not null" json:"LabelTemplateHead-Height"`
	Width                   int                   `xorm:"int 'Width' not null" json:"LabelTemplateHead-Width"`
	BackgroundColorToggle   bool                  `xorm:"bit 'BackgroundColorToggle' not null" json:"LabelTemplateHead-BackgroundColorToggle"`
	BackgroundColor         string                `xorm:"nvarchar(100) 'BackgroundColor' not null" json:"LabelTemplateHead-BackgroundColor"`
	BackgroundPictureToggle bool                  `xorm:"bit 'BackgroundPictureToggle' not null" json:"LabelTemplateHead-BackgroundPictureToggle"`
	BackgroundPicture       string                `xorm:"nvarchar(255) 'BackgroundPicture' not null" json:"LabelTemplateHead-BackgroundPicture"`
	DPI                     int                   `xorm:"int 'DPI' not null" json:"LabelTemplateHead-DPI"`
	CtrlPara1               int                   `xorm:"int 'CtrlPara1' not null" json:"LabelTemplateHead-CtrlPara1"`
	CtrlPara2               int                   `xorm:"int 'CtrlPara2' not null" json:"LabelTemplateHead-CtrlPara2"`
	CtrlStr1                string                `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"LabelTemplateHead-CtrlStr1"`
	CtrlStr2                string                `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"LabelTemplateHead-CtrlStr2"`
	LastModify              grmi.DateTime         `xorm:"datetime 'LastModify' not null updated" json:"LabelTemplateHead-LastModify"`
	LastUser                string                `xorm:"nvarchar(20) 'LastUser' not null" json:"LabelTemplateHead-LastUser"`
	CreateTime              grmi.DateTime         `xorm:"datetime 'CreateTime' not null created" json:"LabelTemplateHead-CreateTime"`
	LabelTemplateDetail     []LabelTemplateDetail `xorm:"-" json:"LabelTemplateHead-LabelTemplateDetail"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *LabelTemplateHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.LabelTemplateId}
}
