// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Printer
 *-----------------------------------------------------------------------------
 *
 * @Description              : Printer的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type Printer struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"Printer-PlantNr"`
	PrinterId     string        `xorm:"pk nvarchar(40) 'PrinterId'" json:"Printer-PrinterId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"Printer-Descr"`
	PrinterType   string        `xorm:"nvarchar(10) 'PrinterType' not null" json:"Printer-PrinterType"`
	PrintMode     string        `xorm:"nvarchar(10) 'PrintMode' not null" json:"Printer-PrintMode"`
	PrinterSpec   string        `xorm:"nvarchar(40) 'PrinterSpec' not null" json:"Printer-PrinterSpec"`
	PrinterName   string        `xorm:"nvarchar(40) 'PrinterName' not null" json:"Printer-PrinterName"`
	Port          int           `xorm:"int 'Port' not null" json:"Printer-Port"`
	PrintInterval int           `xorm:"int 'PrintInterval' not null" json:"Printer-PrintInterval"`
	IP            string        `xorm:"nvarchar(40) 'IP' not null" json:"Printer-IP"`
	PrinterPara1  int           `xorm:"int 'PrinterPara1' not null" json:"Printer-PrinterPara1"`
	PrinterPara2  int           `xorm:"int 'PrinterPara2' not null" json:"Printer-PrinterPara2"`
	PrinterSpec1  string        `xorm:"nvarchar(100) 'PrinterSpec1' not null" json:"Printer-PrinterSpec1"`
	PrinterSpec2  string        `xorm:"nvarchar(100) 'PrinterSpec2' not null" json:"Printer-PrinterSpec2"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Printer-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Printer-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Printer-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *Printer) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PrinterId}
}
