// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Process
 *-----------------------------------------------------------------------------
 *
 * @Description              : Process的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
type Process struct {
	PlantNr               int                  `xorm:"pk int 'PlantNr'" json:"Process-PlantNr"`
	PO                    string               `xorm:"pk nvarchar(40) 'PO'" json:"Process-PO"`
	Name                  string               `xorm:"nvarchar(40) 'Name' not null" json:"Process-Name"`
	Descr                 string               `xorm:"nvarchar(100) 'Descr' not null" json:"Process-Descr"`
	PrePO                 string               `xorm:"nvarchar(255) 'PrePO' not null" json:"Process-PrePO"`
	NextPO                string               `xorm:"nvarchar(255) 'NextPO' not null" json:"Process-NextPO"`
	IsFirstPO             bool                 `xorm:"bit 'IsFirstPO' not null" json:"Process-IsFirstPO"`
	IsLastPO              bool                 `xorm:"bit 'IsLastPO' not null" json:"Process-IsLastPO"`
	PrePOForBK            string               `xorm:"nvarchar(255) 'PrePOForBK' not null" json:"Process-PrePOForBK"`
	NextPOForBK           string               `xorm:"nvarchar(255) 'NextPOForBK' not null" json:"Process-NextPOForBK"`
	IsFirstPOForBK        bool                 `xorm:"bit 'IsFirstPOForBK' not null" json:"Process-IsFirstPOForBK"`
	IsLastPOForBK         bool                 `xorm:"bit 'IsLastPOForBK' not null" json:"Process-IsLastPOForBK"`
	HasDependOn           bool                 `xorm:"bit 'HasDependOn' not null" json:"Process-HasDependOn"`
	AllowPrePOStatus      string               `xorm:"nvarchar(50) 'AllowPrePOStatus' not null" json:"Process-AllowPrePOStatus"`
	AllowPrePOStatusForBK string               `xorm:"nvarchar(50) 'AllowPrePOStatusForBK' not null" json:"Process-AllowPrePOStatusForBK"`
	Source                string               `xorm:"-" json:"Process-Source"`
	EnableMonitor         bool                 `xorm:"bit 'EnableMonitor' not null" json:"Process-EnableMonitor"`
	LastModify            grmi.DateTime        `xorm:"datetime 'LastModify' not null updated" json:"Process-LastModify"`
	LastUser              string               `xorm:"nvarchar(20) 'LastUser' not null" json:"Process-LastUser"`
	CreateTime            grmi.DateTime        `xorm:"datetime 'CreateTime' not null created" json:"Process-CreateTime"`
	WorkLineProcessLstLi  []WorkLineProcessLst `xorm:"-" json:"Process-WorkLineProcessLstLi"`
	OriginPO              string               `xorm:"-" json:"Process-OriginPO"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-22 17:33:27
 *
 ******************************************************************************/
func (self *Process) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PO}
}
