// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ReceiptDetail
 *-----------------------------------------------------------------------------
 *
 * @Description              : ReceiptDetail的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
type ReceiptDetail struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"ReceiptDetail-PlantNr"`
	ReceiptHeadId    string        `xorm:"pk nvarchar(40) 'ReceiptHeadId'" json:"ReceiptDetail-ReceiptHeadId"`
	Pos              int           `xorm:"pk int 'Pos'" json:"ReceiptDetail-Pos"`
	VariableName     string        `xorm:"nvarchar(40) 'VariableName' not null" json:"ReceiptDetail-VariableName"`
	VariableType     string        `xorm:"nvarchar(40) 'VariableType' not null" json:"ReceiptDetail-VariableType"`
	VariableValue    string        `xorm:"nvarchar(100) 'VariableValue' not null" json:"ReceiptDetail-VariableValue"`
	VariablePicture  string        `xorm:"nvarchar(100) 'VariablePicture' not null" json:"ReceiptDetail-VariablePicture"`
	VariablePosition string        `xorm:"nvarchar(40) 'VariablePosition' not null" json:"ReceiptDetail-VariablePosition"`
	JsonValue        string        `xorm:"nvarchar(-0.5) 'JsonValue' not null" json:"ReceiptDetail-JsonValue"`
	CtrlPara1        int           `xorm:"int 'CtrlPara1' not null" json:"ReceiptDetail-CtrlPara1"`
	CtrlPara2        int           `xorm:"int 'CtrlPara2' not null" json:"ReceiptDetail-CtrlPara2"`
	CtrlStr1         string        `xorm:"nvarchar(100) 'CtrlStr1' not null" json:"ReceiptDetail-CtrlStr1"`
	CtrlStr2         string        `xorm:"nvarchar(100) 'CtrlStr2' not null" json:"ReceiptDetail-CtrlStr2"`
	CtrlTime1        grmi.DateTime `xorm:"datetime 'CtrlTime1'" json:"ReceiptDetail-CtrlTime1"`
	CtrlTime2        grmi.DateTime `xorm:"datetime 'CtrlTime2'" json:"ReceiptDetail-CtrlTime2"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ReceiptDetail-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ReceiptDetail-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ReceiptDetail-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-25 16:19:35
 *
 ******************************************************************************/
func (self *ReceiptDetail) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ReceiptHeadId, self.Pos}
}
