// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : RepairInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : RepairInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 16:54:17
 *
 ******************************************************************************/
type RepairInfo struct {
	WorkLineId    string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"RepairInfo-WorkLineId"`
	PO            string        `xorm:"pk nvarchar(40) 'PO'" json:"RepairInfo-PO"`
	WorkPlaceNr   int           `xorm:"pk int 'WorkPlaceNr'" json:"RepairInfo-WorkPlaceNr"`
	SerialOrderId string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"RepairInfo-SerialOrderId"`
	RepairReason  string        `xorm:"nvarchar(500) 'RepairReason' not null" json:"RepairInfo-RepairReason"`
	Status        int           `xorm:"int 'Status' not null" json:"RepairInfo-Status"`
	IsActive      int           `xorm:"pk int 'isActive'" json:"RepairInfo-IsActive"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null" json:"RepairInfo-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"RepairInfo-LastUser"`
	CreateTime    grmi.DateTime `xorm:"pk datetime 'CreateTime'" json:"RepairInfo-CreateTime"`
}


/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-30 16:54:17
 *
 ******************************************************************************/
func (self *RepairInfo) GetKey() core.PK {
	return core.PK{}
}
