// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : Snr
 *-----------------------------------------------------------------------------
 *
 * @Description              : Snr的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
type Snr struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"Snr-PlantNr"`
	SnrId              string        `xorm:"pk varchar(12) 'SnrId'" json:"Snr-SnrId"`
	Descr              string        `xorm:"varchar(30) 'Descr' not null" json:"Snr-Descr"`
	ValidFrom          grmi.Date     `xorm:"datetime 'ValidFrom' not null" json:"Snr-ValidFrom"`
	ValidTo            grmi.Date     `xorm:"datetime 'ValidTo' not null" json:"Snr-ValidTo"`
	Prefix             string        `xorm:"varchar(20) 'Prefix' not null" json:"Snr-Prefix"`
	Infix              string        `xorm:"varchar(20) 'Infix' not null" json:"Snr-Infix"`
	Postfix            string        `xorm:"varchar(20) 'Postfix' not null" json:"Snr-Postfix"`
	StartNr            int           `xorm:"int 'StartNr' not null" json:"Snr-StartNr"`
	EndNr              int           `xorm:"int 'EndNr' not null" json:"Snr-EndNr"`
	Step               int           `xorm:"int 'Step' not null" json:"Snr-Step"`
	Length             int           `xorm:"int 'Length' not null" json:"Snr-Length"`
	NextNr             int           `xorm:"int 'NextNr' not null" json:"Snr-NextNr"`
	Data1MappingToggle bool           `xorm:"bit 'Data1MappingToggle' not null" json:"Snr-Data1MappingToggle"`
	Data1Mapper        string        `xorm:"varchar(40) 'Data1Mapper' not null" json:"Snr-Data1Mapper"`
	Data2MappingToggle bool           `xorm:"bit 'Data2MappingToggle' not null" json:"Snr-Data2MappingToggle"`
	Data2Mapper        string        `xorm:"varchar(40) 'Data2Mapper' not null" json:"Snr-Data2Mapper"`
	Data3MappingToggle bool           `xorm:"bit 'Data3MappingToggle' not null" json:"Snr-Data3MappingToggle"`
	Data3Mapper        string        `xorm:"varchar(40) 'Data3Mapper' not null" json:"Snr-Data3Mapper"`
	Data4MappingToggle bool           `xorm:"bit 'Data4MappingToggle' not null" json:"Snr-Data4MappingToggle"`
	Data4Mapper        string        `xorm:"varchar(40) 'Data4Mapper' not null" json:"Snr-Data4Mapper"`
	Data5MappingToggle bool           `xorm:"bit 'Data5MappingToggle' not null" json:"Snr-Data5MappingToggle"`
	Data5Mapper        string        `xorm:"varchar(40) 'Data5Mapper' not null" json:"Snr-Data5Mapper"`
	LastNrCreate       string        `xorm:"varchar(14) 'LastNrCreate' not null" json:"Snr-LastNrCreate"`
	ResetNrRule        string        `xorm:"varchar(10) 'ResetNrRule' not null" json:"Snr-ResetNrRule"`
	OverflowHandling   string        `xorm:"varchar(10) 'OverflowHandling' not null" json:"Snr-OverflowHandling"`
	IdentifierFormat   string        `xorm:"varchar(10) 'IdentifierFormat' not null" json:"Snr-IdentifierFormat"`
	DateVariable       string        `xorm:"varchar(20) 'DateVariable' not null" json:"Snr-DateVariable"`
	DateFormat         string        `xorm:"varchar(14) 'DateFormat' not null" json:"Snr-DateFormat"`
	Identifierlayout   string        `xorm:"varchar(5) 'Identifierlayout' not null" json:"Snr-Identifierlayout"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Snr-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Snr-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Snr-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-20 11:28:44
 *
 ******************************************************************************/
func (self *Snr) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SnrId}
}
