// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : WorkPlaceConfig
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkPlaceConfig的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-13 15:30:43
 *
 ******************************************************************************/
type WorkPlaceConfig struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WorkPlaceConfig-PlantNr"`
	ConfigNr    int           `xorm:"pk int 'ConfigNr' autoincr" json:"WorkPlaceConfig-ConfigNr"`
	WorkPlaceNr int           `xorm:"int 'WorkPlaceNr' not null" json:"WorkPlaceConfig-WorkPlaceNr"`
	ParamName   string        `xorm:"nvarchar(40) 'ParamName' not null" json:"WorkPlaceConfig-ParamName"`
	StrValue1   string        `xorm:"nvarchar(100) 'StrValue1' not null" json:"WorkPlaceConfig-StrValue1"`
	StrValue2   string        `xorm:"nvarchar(100) 'StrValue2' not null" json:"WorkPlaceConfig-StrValue2"`
	StrValue3   string        `xorm:"nvarchar(100) 'StrValue3' not null" json:"WorkPlaceConfig-StrValue3"`
	IntValue1   int           `xorm:"int 'IntValue1' not null" json:"WorkPlaceConfig-IntValue1"`
	IntValue2   int           `xorm:"int 'IntValue2' not null" json:"WorkPlaceConfig-IntValue2"`
	IntValue3   int           `xorm:"int 'IntValue3' not null" json:"WorkPlaceConfig-IntValue3"`
	FloatValue1 float64       `xorm:"float 'FloatValue1' not null" json:"WorkPlaceConfig-FloatValue1"`
	FloatValue2 float64       `xorm:"float 'FloatValue2' not null" json:"WorkPlaceConfig-FloatValue2"`
	FloatValue3 float64       `xorm:"float 'FloatValue3' not null" json:"WorkPlaceConfig-FloatValue3"`
	StrValue4   string        `xorm:"nvarchar(100) 'StrValue4' not null" json:"WorkPlaceConfig-StrValue4"`
	StrValue5   string        `xorm:"nvarchar(100) 'StrValue5' not null" json:"WorkPlaceConfig-StrValue5"`
	IntValue4   int           `xorm:"int 'IntValue4' not null" json:"WorkPlaceConfig-IntValue4"`
	IntValue5   int           `xorm:"int 'IntValue5' not null" json:"WorkPlaceConfig-IntValue5"`
	BoolValue1  bool          `xorm:"bit 'BoolValue1' not null" json:"WorkPlaceConfig-BoolValue1"`
	BoolValue2  bool          `xorm:"bit 'BoolValue2' not null" json:"WorkPlaceConfig-BoolValue2"`
	BoolValue3  bool          `xorm:"bit 'BoolValue3' not null" json:"WorkPlaceConfig-BoolValue3"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkPlaceConfig-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkPlaceConfig-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkPlaceConfig-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-13 15:30:43
 *
 ******************************************************************************/
func (self *WorkPlaceConfig) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ConfigNr}
}
