// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipOrderDataLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipOrderDataLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type ShipOrderDataLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"JIT_ShipOrderDataLst-PlantNr"`
	ShipOrderId string        `xorm:"pk nvarchar(40) 'ShipOrderId'" json:"JIT_ShipOrderDataLst-ShipOrderId"`
	PackOrderId string        `xorm:"pk nvarchar(40) 'PackOrderId'" json:"JIT_ShipOrderDataLst-PackOrderId"`
	ItemPos     int           `xorm:"int 'ItemPos' not null" json:"JIT_ShipOrderDataLst-ItemPos"`
	PackTypeId  string        `xorm:"nvarchar(40) 'PackTypeId' not null" json:"JIT_ShipOrderDataLst-PackTypeId"`
	Status      int           `xorm:"int 'Status' not null" json:"JIT_ShipOrderDataLst-Status"`
	Status1     int           `xorm:"int 'Status1' not null" json:"JIT_ShipOrderDataLst-Status1"`
	Status2     int           `xorm:"int 'Status2' not null" json:"JIT_ShipOrderDataLst-Status2"`
	PlanQty     int           `xorm:"int 'PlanQty' not null" json:"JIT_ShipOrderDataLst-PlanQty"`
	ActQty      int           `xorm:"int 'ActQty' not null" json:"JIT_ShipOrderDataLst-ActQty"`
	CtrlPara1   int           `xorm:"int 'CtrlPara1' not null" json:"JIT_ShipOrderDataLst-CtrlPara1"`
	CtrlPara2   int           `xorm:"int 'CtrlPara2' not null" json:"JIT_ShipOrderDataLst-CtrlPara2"`
	CtrlStr1    string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"JIT_ShipOrderDataLst-CtrlStr1"`
	CtrlStr2    string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"JIT_ShipOrderDataLst-CtrlStr2"`
	CtrlTime1   grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"JIT_ShipOrderDataLst-CtrlTime1"`
	CtrlTime2   grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"JIT_ShipOrderDataLst-CtrlTime2"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_ShipOrderDataLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_ShipOrderDataLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_ShipOrderDataLst-CreateTime"`
	PackOrderItemLi []PackOrderItemLst `xorm:"-" json:"JIT_ShipOrderDataLst-PackOrderItemLi"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *ShipOrderDataLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ShipOrderId, self.PackOrderId}
}
