// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipOrderItemLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipOrderItemLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type ShipOrderItemLst struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"JIT_ShipOrderItemLst-PlantNr"`
	ShipOrderId     string        `xorm:"pk nvarchar(40) 'ShipOrderId'" json:"JIT_ShipOrderItemLst-ShipOrderId"`
	Pos             int           `xorm:"pk int 'Pos'" json:"JIT_ShipOrderItemLst-Pos"`
	PackTypeId      string        `xorm:"nvarchar(40) 'PackTypeId' not null" json:"JIT_ShipOrderItemLst-PackTypeId"`
	PackTemplateId  string        `xorm:"nvarchar(40) 'PackTemplateId' not null" json:"JIT_ShipOrderItemLst-PackTemplateId"`
	Status          int           `xorm:"int 'Status' not null" json:"JIT_ShipOrderItemLst-Status"`
	FillQty         int           `xorm:"int 'FillQty' not null" json:"JIT_ShipOrderItemLst-FillQty"`
	PlanQty         int           `xorm:"int 'PlanQty' not null" json:"JIT_ShipOrderItemLst-PlanQty"`
	ActQty          int           `xorm:"int 'ActQty' not null" json:"JIT_ShipOrderItemLst-ActQty"`
	ShortShipToggle bool          `xorm:"bit 'ShortShipToggle' not null" json:"JIT_ShipOrderItemLst-ShortShipToggle"`
	ShortShipQty    int           `xorm:"int 'ShortShipQty' not null" json:"JIT_ShipOrderItemLst-ShortShipQty"`
	ShortBy         string        `xorm:"nvarchar(20) 'ShortBy' not null" json:"JIT_ShipOrderItemLst-ShortBy"`
	ShortTime       grmi.DateTime `xorm:"datetime 'ShortTime' not null" json:"JIT_ShipOrderItemLst-ShortTime"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_ShipOrderItemLst-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_ShipOrderItemLst-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_ShipOrderItemLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *ShipOrderItemLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ShipOrderId, self.Pos}
}
