// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipOrderStatusHistory
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipOrderStatusHistory的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
type ShipOrderStatusHistory struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"JIT_ShipOrderStatusHistory-PlantNr"`
	ShipOrderId      string        `xorm:"pk nvarchar(40) 'ShipOrderId'" json:"JIT_ShipOrderStatusHistory-ShipOrderId"`
	Pos              int           `xorm:"pk int 'Pos'" json:"JIT_ShipOrderStatusHistory-Pos"`
	StatusChangeType string        `xorm:"nvarchar(20) 'StatusChangeType' not null" json:"JIT_ShipOrderStatusHistory-StatusChangeType"`
	FromStatus       int           `xorm:"int 'FromStatus' not null" json:"JIT_ShipOrderStatusHistory-FromStatus"`
	ToStatus         int           `xorm:"int 'ToStatus' not null" json:"JIT_ShipOrderStatusHistory-ToStatus"`
	TriggerEvent     string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"JIT_ShipOrderStatusHistory-TriggerEvent"`
	TriggerObjId     string        `xorm:"nvarchar(40) 'TriggerObjId' not null" json:"JIT_ShipOrderStatusHistory-TriggerObjId"`
	ChangeTime       grmi.DateTime `xorm:"datetime 'ChangeTime' not null" json:"JIT_ShipOrderStatusHistory-ChangeTime"`
	TriggerPara1     string        `xorm:"nvarchar(40) 'TriggerPara1' not null" json:"JIT_ShipOrderStatusHistory-TriggerPara1"`
	TriggerPara2     string        `xorm:"nvarchar(40) 'TriggerPara2' not null" json:"JIT_ShipOrderStatusHistory-TriggerPara2"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"JIT_ShipOrderStatusHistory-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"JIT_ShipOrderStatusHistory-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"JIT_ShipOrderStatusHistory-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func (self *ShipOrderStatusHistory) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ShipOrderId, self.Pos}
}
