// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ShipableAUConfig
 *-----------------------------------------------------------------------------
 *
 * @Description              : ShipableAUConfig的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-24 09:49:31
 *
 ******************************************************************************/
type ShipableAUConfig struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"ME_ShipableAUConfig-PlantNr"`
	ArtId       string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ME_ShipableAUConfig-ArtId"`
	AuPo        string        `xorm:"nvarchar(40) 'AuPo' not null" json:"ME_ShipableAUConfig-AuPo"`
	BarCodeRule string        `xorm:"nvarchar(40) 'BarCodeRule' not null" json:"ME_ShipableAUConfig-BarCodeRule"`
	StrPara1    string        `xorm:"nvarchar(100) 'StrPara1'" json:"ME_ShipableAUConfig-StrPara1"`
	StrPara2    string        `xorm:"nvarchar(100) 'StrPara2'" json:"ME_ShipableAUConfig-StrPara2"`
	StrPara3    string        `xorm:"nvarchar(100) 'StrPara3'" json:"ME_ShipableAUConfig-StrPara3"`
	IntPara1    int           `xorm:"int 'IntPara1'" json:"ME_ShipableAUConfig-IntPara1"`
	IntPara2    int           `xorm:"int 'IntPara2'" json:"ME_ShipableAUConfig-IntPara2"`
	IntPara3    int           `xorm:"int 'IntPara3'" json:"ME_ShipableAUConfig-IntPara3"`
	Toggle1     bool          `xorm:"bit 'Toggle1'" json:"ME_ShipableAUConfig-Toggle1"`
	Toggle2     bool          `xorm:"bit 'Toggle2'" json:"ME_ShipableAUConfig-Toggle2"`
	Toggle3     bool          `xorm:"bit 'Toggle3'" json:"ME_ShipableAUConfig-Toggle3"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ME_ShipableAUConfig-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ME_ShipableAUConfig-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ME_ShipableAUConfig-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-24 09:49:31
 *
 ******************************************************************************/
func (self *ShipableAUConfig) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId}
}
