// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderDisassemble
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderDisassemble的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-28 09:55:48
 *
 ******************************************************************************/
type SerialOrderDisassemble struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderDisassemble-PlantNr"`
	SerialOrderId string        `xorm:"pk nvarchar(40) 'SerialOrderId'" json:"OM_SerialOrderDisassemble-SerialOrderId"`
	Pos           int           `xorm:"pk int 'Pos'" json:"OM_SerialOrderDisassemble-Pos"`
	CtrlPara1     string        `xorm:"nvarchar(255) 'CtrlPara1'" json:"OM_SerialOrderDisassemble-CtrlPara1"`
	CtrlPara2     string        `xorm:"nvarchar(255) 'CtrlPara2'" json:"OM_SerialOrderDisassemble-CtrlPara2"`
	IntPara1      int           `xorm:"int 'IntPara1'" json:"OM_SerialOrderDisassemble-IntPara1"`
	IntPara2      int           `xorm:"int 'IntPara2'" json:"OM_SerialOrderDisassemble-IntPara2"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderDisassemble-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderDisassemble-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderDisassemble-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-28 09:55:48
 *
 ******************************************************************************/
func (self *SerialOrderDisassemble) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.Pos}
}
