// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderOPDetailRecvDataLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderOPDetailRecvDataLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-16 14:27:35
 *
 ******************************************************************************/
type SerialOrderOPDetailRecvDataLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderOPDetailRecvDataLst-PlantNr"`
	Pos           int64         `xorm:"pk bigint 'Pos' autoincr" json:"OM_SerialOrderOPDetailRecvDataLst-Pos"`
	SerialOrderId string        `xorm:"nvarchar(100) 'SerialOrderId' not null" json:"OM_SerialOrderOPDetailRecvDataLst-SerialOrderId"`
	PO            string        `xorm:"nvarchar(40) 'PO' not null" json:"OM_SerialOrderOPDetailRecvDataLst-PO"`
	WorkPlaceNr   int           `xorm:"int 'WorkPlaceNr' not null" json:"OM_SerialOrderOPDetailRecvDataLst-WorkPlaceNr"`
	StepNo        int           `xorm:"int 'StepNo' not null" json:"OM_SerialOrderOPDetailRecvDataLst-StepNo"`
	OriginPos     int           `xorm:"int 'OriginPos' not null" json:"OM_SerialOrderOPDetailRecvDataLst-OriginPos"`
	OriginRuleId  int           `xorm:"int 'OriginRuleId' not null" json:"OM_SerialOrderOPDetailRecvDataLst-OriginRuleId"`
	StepType      string        `xorm:"nvarchar(40) 'StepType' not null" json:"OM_SerialOrderOPDetailRecvDataLst-StepType"`
	SubArtId      string        `xorm:"nvarchar(40) 'SubArtId' not null" json:"OM_SerialOrderOPDetailRecvDataLst-SubArtId"`
	RecvData      string        `xorm:"nvarchar(300) 'RecvData' not null" json:"OM_SerialOrderOPDetailRecvDataLst-RecvData"`
	Status        int           `xorm:"int 'Status' not null" json:"OM_SerialOrderOPDetailRecvDataLst-Status"`
	Remark1       string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_SerialOrderOPDetailRecvDataLst-Remark1"`
	Remark2       string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_SerialOrderOPDetailRecvDataLst-Remark2"`
	RepairFlag    int           `xorm:"int 'RepairFlag' not null" json:"OM_SerialOrderOPDetailRecvDataLst-RepairFlag"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderOPDetailRecvDataLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderOPDetailRecvDataLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderOPDetailRecvDataLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-09-16 14:27:35
 *
 ******************************************************************************/
func (self *SerialOrderOPDetailRecvDataLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.Pos}
}
