// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : HondaCalloff
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaCalloff的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
type HondaCalloff struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_HondaCalloff-PlantNr"`
	CalloffId       string        `xorm:"pk nvarchar(40) 'CalloffId'" json:"PLN_HondaCalloff-CalloffId"`
	CardNo          string        `xorm:"nvarchar(40) 'CardNo' not null" json:"PLN_HondaCalloff-CardNo"`
	SerialNo        string        `xorm:"nvarchar(40) 'SerialNo' not null" json:"PLN_HondaCalloff-SerialNo"`
	LineNo          string        `xorm:"nvarchar(40) 'LineNo' not null" json:"PLN_HondaCalloff-LineNo"`
	Parsed          int           `xorm:"int 'Parsed' not null" json:"PLN_HondaCalloff-Parsed"`
	CalloffDateTime grmi.DateTime `xorm:"datetime 'CalloffDateTime' not null" json:"PLN_HondaCalloff-CalloffDateTime"`
	PlanQty         int           `xorm:"int 'PlanQty' not null" json:"PLN_HondaCalloff-PlanQty"`
	EdiFile         string        `xorm:"nvarchar(100) 'EdiFile' not null" json:"PLN_HondaCalloff-EdiFile"`
	EdiFileType     string        `xorm:"nvarchar(20) 'EdiFileType' not null" json:"PLN_HondaCalloff-EdiFileType"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PLN_HondaCalloff-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PLN_HondaCalloff-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PLN_HondaCalloff-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PLN_HondaCalloff-CtrlStr2"`
	CtrlTime1       grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"PLN_HondaCalloff-CtrlTime1"`
	CtrlTime2       grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"PLN_HondaCalloff-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_HondaCalloff-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_HondaCalloff-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_HondaCalloff-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
func (self *HondaCalloff) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CalloffId}
}
