// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : HondaCalloffItemLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaCalloffItemLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
type HondaCalloffItemLst struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_HondaCalloffItemLst-PlantNr"`
	CalloffId       string        `xorm:"pk nvarchar(40) 'CalloffId'" json:"PLN_HondaCalloffItemLst-CalloffId"`
	Pos             int           `xorm:"pk int 'Pos'" json:"PLN_HondaCalloffItemLst-Pos"`
	CalloffDate     grmi.Date     `xorm:"date 'CalloffDate' not null" json:"PLN_HondaCalloffItemLst-CalloffDate"`
	CalloffTime     grmi.Time     `xorm:"time 'CalloffTime' not null" json:"PLN_HondaCalloffItemLst-CalloffTime"`
	PlanQty         int           `xorm:"int 'PlanQty' not null" json:"PLN_HondaCalloffItemLst-PlanQty"`
	ConfigValue     string        `xorm:"nvarchar(40) 'ConfigValue' not null" json:"PLN_HondaCalloffItemLst-ConfigValue"`
	ModelValue      string        `xorm:"nvarchar(40) 'ModelValue' not null" json:"PLN_HondaCalloffItemLst-ModelValue"`
	ColorValue      string        `xorm:"nvarchar(40) 'ColorValue' not null" json:"PLN_HondaCalloffItemLst-ColorValue"`
	ProductFamilyId string        `xorm:"nvarchar(40) 'ProductFamilyId' not null" json:"PLN_HondaCalloffItemLst-ProductFamilyId"`
	VinNo           string        `xorm:"nvarchar(40) 'VinNo' not null" json:"PLN_HondaCalloffItemLst-VinNo"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PLN_HondaCalloffItemLst-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PLN_HondaCalloffItemLst-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PLN_HondaCalloffItemLst-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PLN_HondaCalloffItemLst-CtrlStr2"`
	CtrlTime1       grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"PLN_HondaCalloffItemLst-CtrlTime1"`
	CtrlTime2       grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"PLN_HondaCalloffItemLst-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_HondaCalloffItemLst-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_HondaCalloffItemLst-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_HondaCalloffItemLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-11-09 13:35:31
 *
 ******************************************************************************/
func (self *HondaCalloffItemLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.CalloffId, self.Pos}
}
