// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : HondaDemandItemLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : HondaDemandItemLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
type HondaDemandItemLst struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_HondaDemandItemLst-PlantNr"`
	DemandId        string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_HondaDemandItemLst-DemandId"`
	Pos             int           `xorm:"pk int 'Pos'" json:"PLN_HondaDemandItemLst-Pos"`
	DeliveryDate    grmi.Date     `xorm:"date 'DeliveryDate' not null" json:"PLN_HondaDemandItemLst-DeliveryDate"`
	SeqNr           int           `xorm:"int 'SeqNr' not null" json:"PLN_HondaDemandItemLst-SeqNr"`
	VinPrefix       string        `xorm:"nvarchar(40) 'VinPrefix' not null" json:"PLN_HondaDemandItemLst-VinPrefix"`
	VinNrFrom       int           `xorm:"int 'VinNrFrom' not null" json:"PLN_HondaDemandItemLst-VinNrFrom"`
	VinNrTo         int           `xorm:"int 'VinNrTo' not null" json:"PLN_HondaDemandItemLst-VinNrTo"`
	ConfigValue     string        `xorm:"nvarchar(40) 'ConfigValue' not null" json:"PLN_HondaDemandItemLst-ConfigValue"`
	ModelValue      string        `xorm:"nvarchar(40) 'ModelValue' not null" json:"PLN_HondaDemandItemLst-ModelValue"`
	ColorValue      string        `xorm:"nvarchar(40) 'ColorValue' not null" json:"PLN_HondaDemandItemLst-ColorValue"`
	ProductFamilyId string        `xorm:"nvarchar(40) 'ProductFamilyId' not null" json:"PLN_HondaDemandItemLst-ProductFamilyId"`
	PlanQty         int           `xorm:"int 'PlanQty' not null" json:"PLN_HondaDemandItemLst-PlanQty"`
	Color           string        `xorm:"nvarchar(40) 'Color' not null" json:"PLN_HondaDemandItemLst-Color"`
	Grade           string        `xorm:"nvarchar(40) 'Grade' not null" json:"PLN_HondaDemandItemLst-Grade"`
	OrderType       string        `xorm:"nvarchar(20) 'OrderType' not null" json:"PLN_HondaDemandItemLst-OrderType"`
	ProductType     string        `xorm:"nvarchar(20) 'ProductType' not null" json:"PLN_HondaDemandItemLst-ProductType"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PLN_HondaDemandItemLst-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PLN_HondaDemandItemLst-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PLN_HondaDemandItemLst-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PLN_HondaDemandItemLst-CtrlStr2"`
	CtrlTime1       grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"PLN_HondaDemandItemLst-CtrlTime1"`
	CtrlTime2       grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"PLN_HondaDemandItemLst-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_HondaDemandItemLst-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_HondaDemandItemLst-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_HondaDemandItemLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
func (self *HondaDemandItemLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId, self.Pos}
}
