// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ToyotaCalloff
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaCalloff的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
type ToyotaCalloff struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"PLN_ToyotaCalloff-PlantNr"`
	DemandId        string        `xorm:"pk nvarchar(40) 'DemandId'" json:"PLN_ToyotaCalloff-DemandId"`
	SupplierCode    string        `xorm:"nvarchar(40) 'SupplierCode' not null" json:"PLN_ToyotaCalloff-SupplierCode"`
	ProjectId       string        `xorm:"nvarchar(40) 'ProjectId' not null" json:"PLN_ToyotaCalloff-ProjectId"`
	ProductFamilyId string        `xorm:"nvarchar(40) 'ProductFamilyId' not null" json:"PLN_ToyotaCalloff-ProductFamilyId"`
	TotalQty        int           `xorm:"int 'TotalQty' not null" json:"PLN_ToyotaCalloff-TotalQty"`
	CheckSequence   int           `xorm:"int 'CheckSequence' not null" json:"PLN_ToyotaCalloff-CheckSequence"`
	Parsed          int           `xorm:"int 'Parsed' not null" json:"PLN_ToyotaCalloff-Parsed"`
	OrderTime       grmi.DateTime `xorm:"datetime 'OrderTime' not null" json:"PLN_ToyotaCalloff-OrderTime"`
	OrderShift      int           `xorm:"int 'OrderShift' not null" json:"PLN_ToyotaCalloff-OrderShift"`
	FileTime        grmi.DateTime `xorm:"datetime 'FileTime' not null" json:"PLN_ToyotaCalloff-FileTime"`
	EdiFile         string        `xorm:"nvarchar(100) 'EdiFile' not null" json:"PLN_ToyotaCalloff-EdiFile"`
	EdiFileType     string        `xorm:"nvarchar(20) 'EdiFileType' not null" json:"PLN_ToyotaCalloff-EdiFileType"`
	CtrlPara1       int           `xorm:"int 'CtrlPara1' not null" json:"PLN_ToyotaCalloff-CtrlPara1"`
	CtrlPara2       int           `xorm:"int 'CtrlPara2' not null" json:"PLN_ToyotaCalloff-CtrlPara2"`
	CtrlStr1        string        `xorm:"nvarchar(255) 'CtrlStr1' not null" json:"PLN_ToyotaCalloff-CtrlStr1"`
	CtrlStr2        string        `xorm:"nvarchar(255) 'CtrlStr2' not null" json:"PLN_ToyotaCalloff-CtrlStr2"`
	CtrlTime1       grmi.DateTime `xorm:"datetime 'CtrlTime1' not null" json:"PLN_ToyotaCalloff-CtrlTime1"`
	CtrlTime2       grmi.DateTime `xorm:"datetime 'CtrlTime2' not null" json:"PLN_ToyotaCalloff-CtrlTime2"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"PLN_ToyotaCalloff-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"PLN_ToyotaCalloff-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"PLN_ToyotaCalloff-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
func (self *ToyotaCalloff) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DemandId}
}
