// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
	"LAPP_ACURA_MOM_BACKEND/services/base/implments"
)

/******************************************************************************
 *
 * @Interface Name           : PLCErrorInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : PLCErrorInfo的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-14 17:25:00
 *
 ******************************************************************************/
type PLCErrorInfoService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的PLCErrorInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.PLCErrorInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的PLCErrorInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的PLCErrorInfo
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的PLCErrorInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, string) (*model.PLCErrorInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的PLCErrorInfo
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.PLCErrorInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的PLCErrorInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.PLCErrorInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的PLCErrorInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.PLCErrorInfo) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.PLCErrorInfo, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条PLCErrorInfo
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的PLCErrorInfo列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-02-14 17:25:00
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.PLCErrorInfo) error
}

/******************************************************************************
 *
 * @Function Name            : NewPLCErrorInfoService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个PLCErrorInfoService
 *
 * @Return Value             : PLCErrorInfoService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-02-14 17:25:00
 *
 ******************************************************************************/
func NewPLCErrorInfoService() PLCErrorInfoService {
	return implments.NewPLCErrorInfoServiceImplement()
}
