// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
	"LAPP_ACURA_MOM_BACKEND/services/me/implments"
)

/******************************************************************************
 *
 * @Interface Name           : BomHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : BomHead的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
type BomHeadService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条BomHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的BomHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.BomHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的BomHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的BomHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的BomHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string) (*model.BomHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条BomHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的BomHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.BomHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条BomHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的BomHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.BomHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条BomHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的BomHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.BomHead) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询BomHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条BomHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的BomHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-08-09 14:13:50
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.BomHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Copy
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 复制bom数据
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 来源物料ID
	*
	 * @Function Parameters      : 目标物料id切片
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-22
	 *
	 ******************************************************************************/
	Copy(user *global.User, sourceArtId string, targetArtIdLi []string) error
	/******************************************************************************
	 *
	 * @Function Name            : ImportFromExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 复制
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 文件路径
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-22
	 *
	 ******************************************************************************/
	ImportFromExcel(user *global.User, filepath string) error
}

/******************************************************************************
 *
 * @Function Name            : NewBomHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个BomHeadService
 *
 * @Return Value             : BomHeadService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-08-09 14:13:50
 *
 ******************************************************************************/
func NewBomHeadService() BomHeadService {
	return implments.NewBomHeadServiceImplement()
}
