// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	baseModel "LAPP_ACURA_MOM_BACKEND/models/base"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
	"LAPP_ACURA_MOM_BACKEND/services/me/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ProductFamilyService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductFamily的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 14:04:53
 *
 ******************************************************************************/
type ProductFamilyService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductFamily
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ProductFamily) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProductFamily
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProductFamily
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProductFamily
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string) (*model.ProductFamily, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamily
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ProductFamily) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductFamily列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ProductFamily) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProductFamily列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ProductFamily) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ProductFamily, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProductFamily
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductFamily列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-19 14:04:53
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ProductFamily) error
	/******************************************************************************
	 *
	 * @Function Name            : GeneratePackTemplate
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过车型配置生成包装模板
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 车型配置ID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-10-21
	 *
	 ******************************************************************************/
	GeneratePackTemplate(user *global.User, productFamilyId string) error
	/******************************************************************************
	 *
	 * @Function Name            : Association
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 通过车型配置生成包装模板
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 车型配置ID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-10-21
	 *
	 ******************************************************************************/
	Association(user *global.User, entity *model.ProductFamily) error
	/******************************************************************************
	 *
	 * @Function Name            : ImportFromExcel
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 复制
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 文件路径
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-12-22
	 *
	 ******************************************************************************/
	ImportFromExcel(user *global.User, filepath string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectCanProductWorkLine
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询该派生可生产的产线
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 派生ID
		 *
	 * @Return Value             : 产线列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-04-12
	 *
	 ******************************************************************************/
	SelectCanProductWorkLine(user *global.User, productFamilyId string) ([]baseModel.WorkLine, error)
}

/******************************************************************************
 *
 * @Function Name            : NewProductFamilyService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProductFamilyService
 *
 * @Return Value             : ProductFamilyService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 14:04:53
 *
 ******************************************************************************/
func NewProductFamilyService() ProductFamilyService {
	return implments.NewProductFamilyServiceImplement()
}
