// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/me"
	"LAPP_ACURA_MOM_BACKEND/services/me/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ProductWorkLineLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ProductWorkLineLst的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
type ProductWorkLineLstService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ProductWorkLineLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ProductWorkLineLst
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, string) (*model.ProductWorkLineLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductWorkLineLst
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ProductWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ProductWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ProductWorkLineLst, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ProductWorkLineLst
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ProductWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-10-28 13:12:09
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ProductWorkLineLst) error
	/******************************************************************************
	 *
	 * @Function Name            : Save
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 保存产品和产线关联关系
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ArtWorkLineLst列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2021-08-23
	 *
	 ******************************************************************************/
	Save(*global.User, *model.ProductWorkLineData) error
}

/******************************************************************************
 *
 * @Function Name            : NewProductWorkLineLstService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ProductWorkLineLstService
 *
 * @Return Value             : ProductWorkLineLstService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-28 13:12:09
 *
 ******************************************************************************/
func NewProductWorkLineLstService() ProductWorkLineLstService {
	return implments.NewProductWorkLineLstServiceImplement()
}
