// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
	"LAPP_ACURA_MOM_BACKEND/services/om/implments"
)

/******************************************************************************
 *
 * @Interface Name           : DemandHeadFromDBService
 *-----------------------------------------------------------------------------
 *
 * @Description              : DemandHeadFromDB的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
type DemandHeadFromDBService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条DemandHeadFromDB
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的DemandHeadFromDB
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的DemandHeadFromDB
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	SelectOne(*global.User, int) (*model.DemandHeadFromDB, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条DemandHeadFromDB
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的DemandHeadFromDB
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条DemandHeadFromDB
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的DemandHeadFromDB列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条DemandHeadFromDB
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的DemandHeadFromDB列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.DemandHeadFromDB) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询DemandHeadFromDB
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) (interface{}, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条DemandHeadFromDB
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的DemandHeadFromDB列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2021-05-13 16:05:11
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.DemandHeadFromDB) error
}

/******************************************************************************
 *
 * @Function Name            : NewDemandHeadFromDBService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DemandHeadFromDBService
 *
 * @Return Value             : DemandHeadFromDBService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-13 16:05:11
 *
 ******************************************************************************/
func NewDemandHeadFromDBService() DemandHeadFromDBService {
	return implments.NewDemandHeadFromDBServiceImplement()
}
