// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/om"
	"LAPP_ACURA_MOM_BACKEND/services/om/implments"
)

/******************************************************************************
 *
 * @Interface Name           : SerialOrderDisassembleService
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderDisassemble的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-28 09:55:48
 *
 ******************************************************************************/
type SerialOrderDisassembleService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的SerialOrderDisassemble
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.SerialOrderDisassemble) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的SerialOrderDisassemble
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string, int) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的SerialOrderDisassemble
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的SerialOrderDisassemble
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string, int) (*model.SerialOrderDisassemble, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的SerialOrderDisassemble
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.SerialOrderDisassemble) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的SerialOrderDisassemble列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.SerialOrderDisassemble) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的SerialOrderDisassemble列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.SerialOrderDisassemble) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.SerialOrderDisassemble, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条SerialOrderDisassemble
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的SerialOrderDisassemble列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.SerialOrderDisassemble) error
	/******************************************************************************
	 *
	 * @Function Name            : InsertSerialOrderRecord
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 记录工单拆解记录
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 工单ID
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	InsertSerialOrderRecord(user *global.User, serialOrderId string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectSerialOrderRecord
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询工单拆解记录
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 工单ID
		 *
	 * @Return Value             : 拆解记录
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-03-28 09:55:48
	 *
	 ******************************************************************************/
	SelectSerialOrderRecord(user *global.User, serialOrderId string) ([]model.SerialOrderDisassemble, error)
}

/******************************************************************************
 *
 * @Function Name            : NewSerialOrderDisassembleService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SerialOrderDisassembleService
 *
 * @Return Value             : SerialOrderDisassembleService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-03-28 09:55:48
 *
 ******************************************************************************/
func NewSerialOrderDisassembleService() SerialOrderDisassembleService {
	return implments.NewSerialOrderDisassembleServiceImplement()
}
