// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/pln"
	"LAPP_ACURA_MOM_BACKEND/services/pln/implments"
)

/******************************************************************************
 *
 * @Interface Name           : ToyotaCalloffService
 *-----------------------------------------------------------------------------
 *
 * @Description              : ToyotaCalloff的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
type ToyotaCalloffService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ToyotaCalloff
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.ToyotaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的ToyotaCalloff
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的ToyotaCalloff
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的ToyotaCalloff
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string) (*model.ToyotaCalloff, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ToyotaCalloff
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.ToyotaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的ToyotaCalloff列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.ToyotaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的ToyotaCalloff列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.ToyotaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.ToyotaCalloff, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条ToyotaCalloff
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的ToyotaCalloff列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-26 09:51:03
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.ToyotaCalloff) error
	/******************************************************************************
	 *
	 * @Function Name            : ParseToyotaCallOffFile
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 解析南沙顺引文件
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-15
	 *
	 ******************************************************************************/
	ParseToyotaCallOffFile()
	/******************************************************************************
	 *
	 * @Function Name            : ParseToyotaCallOffCache
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 解析南沙顺引缓存数据
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-15
	 *
	 ******************************************************************************/
	ParseToyotaCallOffCache()
	/******************************************************************************
	 *
	 * @Function Name            : ParseToyotaCallOffCache
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 解析南沙顺引缓存数据
	 *
	 * @Author                   : zhangxin
	 *
	 * @Date                     : 2022-02-15
	 *
	 ******************************************************************************/
	AnalysisAgain(user *global.User, demandId string) error
}

/******************************************************************************
 *
 * @Function Name            : NewToyotaCalloffService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个ToyotaCalloffService
 *
 * @Return Value             : ToyotaCalloffService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-26 09:51:03
 *
 ******************************************************************************/
func NewToyotaCalloffService() ToyotaCalloffService {
	return implments.NewToyotaCalloffServiceImplement()
}
