// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package report

import (
	"LAPP_ACURA_MOM_BACKEND/global"
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/report"
	"LAPP_ACURA_MOM_BACKEND/services/report/implments"
)

/******************************************************************************
 *
 * @Interface Name           : DashBoardHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : DashBoardHead的服务接口
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 11:05:20
 *
 ******************************************************************************/
type DashBoardHeadService interface {
	/******************************************************************************
	 *
	 * @Function Name            : InsertOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入一条DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	InsertOne(*global.User, *model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : DeleteOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除指定键的DashBoardHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	DeleteOne(*global.User, string) error
	/******************************************************************************
	 *
	 * @Function Name            : SelectOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查找指定键的DashBoardHead
	 *
	 * @Function Parameters      : 主键
	 *
	 * @Return Value             : 查找到的DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	SelectOne(*global.User, string) (*model.DashBoardHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : UpdateOne
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改一条DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的DashBoardHead
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	UpdateOne(*global.User, *model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Insert
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 插入多条DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要插入的DashBoardHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Insert(*global.User, *[]model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Delete
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 删除多条DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要删除的DashBoardHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Delete(*global.User, *[]model.DashBoardHead) error
	/******************************************************************************
	 *
	 * @Function Name            : Select
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Select(*global.User, map[string]string) ([]model.DashBoardHead, error)
	/******************************************************************************
	 *
	 * @Function Name            : SelectAndPaging
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 查询DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 查询参数
	 *
	 * @Return Value             : 查询结果
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	SelectAndPaging(*global.User, map[string]string) (grmi.PagingResult, error)
	/******************************************************************************
	 *
	 * @Function Name            : Update
	 *-----------------------------------------------------------------------------
	 *
	 * @Description              : 修改多条DashBoardHead
	 *
	 * @Function Parameters      : 当前访问人员信息
	 *
	 * @Function Parameters      : 需要修改的DashBoardHead列表
	 *
	 * @Return Value             : 执行时发生的错误
	 *
	 * @Author                   : 代码生成器创建
	 *
	 * @Date                     : 2022-01-06 11:05:20
	 *
	 ******************************************************************************/
	Update(*global.User, *[]model.DashBoardHead) error
}

/******************************************************************************
 *
 * @Function Name            : NewDashBoardHeadService
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个DashBoardHeadService
 *
 * @Return Value             : DashBoardHeadService实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-01-06 11:05:20
 *
 ******************************************************************************/
func NewDashBoardHeadService() DashBoardHeadService {
	return implments.NewDashBoardHeadServiceImplement()
}
