// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package jit

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	svr "LAPP_ACURA_MOM_BACKEND/services/jit"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块jit路由分组
	grmi.RegisterRouteMapping("/jit", func(party router.Party) {

		// ShipOrder的路由组
		shiporder := party.Party("/shiporder")
		// ShipOrder的服务实例
		var serviceOfShipOrder = svr.NewShipOrderService()
		// ShipOrder插入一条
		// RegisterInsertOneShipOrder(shiporder, "/insertone", serviceOfShipOrder.InsertOne)
		// ShipOrder插入多条
		// RegisterInsertShipOrder(shiporder, "/insert", serviceOfShipOrder.Insert)
		// ShipOrder删除一条
		RegisterDeleteOneShipOrder(shiporder, "/deleteone", serviceOfShipOrder.DeleteOne)
		// ShipOrder删除多条
		// RegisterDeleteShipOrder(shiporder, "/delete", serviceOfShipOrder.Delete)
		// ShipOrder查询多条
		RegisterSelectShipOrder(shiporder, "/selectlist", serviceOfShipOrder.Select)
		// ShipOrder查询多条并分页
		RegisterQueryShipOrder(shiporder, "/query", serviceOfShipOrder.SelectAndPaging)
		// ShipOrder查询一条
		RegisterSelectOneShipOrder(shiporder, "/selectone", serviceOfShipOrder.SelectOne)
		// ShipOrder修改一条
		RegisterUpdateOneShipOrder(shiporder, "/updateone", serviceOfShipOrder.UpdateOne)
		// ShipOrder修改多条
		// RegisterUpdateShipOrder(shiporder, "/update", serviceOfShipOrder.Update)
		// ShipOrder 通过发运模板创建发运单
		RegisterCreateAdvanceShipOrder(shiporder, "/create", serviceOfShipOrder.CreateAdvanceShipOrder)
		// ShipOrder 通过页面编辑创建发运单
		//RegisterCreateAdvanceShipOrderByEdit(shiporder, "/createbyedit", serviceOfShipOrder.CreateAdvanceShipOrderByEdit)
		// shipOrder 发运扫码
		RegisterScanBarCode(shiporder, "/scan", serviceOfShipOrder.ScanBarCode)
		// shipOrder 翻车
		RegisterChangeAdvanceToFormal(shiporder, "/changetoformal", serviceOfShipOrder.ChangeAdvanceToFormal)
		// shipOrder 关闭发运单
		RegisterCloseShipOrder(shiporder, "/close", serviceOfShipOrder.CloseShipOrder)
		// shipOrder 搜索支持状态
		RegisterSelectShipOrderWithStatus(shiporder, "/selectwithstatus", serviceOfShipOrder.SelectWithStatus)
		// shipOrder 通过工单ID查询发运单
		RegisterSelectShipOrderBySerialOrderId(shiporder, "/selectbyserialorder", serviceOfShipOrder.SelectShipDataBySerialOrderId)
		// shipOrder 通过工单ID查询发运单
		RegisterWithdrawShipOrderItem(shiporder, "/withdrawitem", serviceOfShipOrder.WithdrawShipOrderItem)

		// ShipOrderStatus的路由组
		shiporderstatus := party.Party("/shiporderstatus")
		// ShipOrderStatus的服务实例
		var serviceOfShipOrderStatus = svr.NewShipOrderStatusService()
		// ShipOrderStatus插入一条
		// RegisterInsertOneShipOrderStatus(shiporderstatus, "/insertone", serviceOfShipOrderStatus.InsertOne)
		// ShipOrderStatus插入多条
		// RegisterInsertShipOrderStatus(shiporderstatus, "/insert", serviceOfShipOrderStatus.Insert)
		// ShipOrderStatus删除一条
		// RegisterDeleteOneShipOrderStatus(shiporderstatus, "/deleteone", serviceOfShipOrderStatus.DeleteOne)
		// ShipOrderStatus删除多条
		// RegisterDeleteShipOrderStatus(shiporderstatus, "/delete", serviceOfShipOrderStatus.Delete)
		// ShipOrderStatus查询多条
		RegisterSelectShipOrderStatus(shiporderstatus, "/selectlist", serviceOfShipOrderStatus.Select)
		// ShipOrderStatus查询多条并分页
		RegisterQueryShipOrderStatus(shiporderstatus, "/query", serviceOfShipOrderStatus.SelectAndPaging)
		// ShipOrderStatus查询一条
		RegisterSelectOneShipOrderStatus(shiporderstatus, "/selectone", serviceOfShipOrderStatus.SelectOne)
		// ShipOrderStatus修改一条
		// RegisterUpdateOneShipOrderStatus(shiporderstatus, "/updateone", serviceOfShipOrderStatus.UpdateOne)
		// ShipOrderStatus修改多条
		// RegisterUpdateShipOrderStatus(shiporderstatus, "/update", serviceOfShipOrderStatus.Update)

		// ShipOrderStatusHistory的路由组
		shiporderstatushistory := party.Party("/shiporderstatushistory")
		// ShipOrderStatusHistory的服务实例
		var serviceOfShipOrderStatusHistory = svr.NewShipOrderStatusHistoryService()
		// ShipOrderStatusHistory插入一条
		// RegisterInsertOneShipOrderStatusHistory(shiporderstatushistory, "/insertone", serviceOfShipOrderStatusHistory.InsertOne)
		// ShipOrderStatusHistory插入多条
		// RegisterInsertShipOrderStatusHistory(shiporderstatushistory, "/insert", serviceOfShipOrderStatusHistory.Insert)
		// ShipOrderStatusHistory删除一条
		// RegisterDeleteOneShipOrderStatusHistory(shiporderstatushistory, "/deleteone", serviceOfShipOrderStatusHistory.DeleteOne)
		// ShipOrderStatusHistory删除多条
		// RegisterDeleteShipOrderStatusHistory(shiporderstatushistory, "/delete", serviceOfShipOrderStatusHistory.Delete)
		// ShipOrderStatusHistory查询多条
		RegisterSelectShipOrderStatusHistory(shiporderstatushistory, "/selectlist", serviceOfShipOrderStatusHistory.Select)
		// ShipOrderStatusHistory查询多条并分页
		RegisterQueryShipOrderStatusHistory(shiporderstatushistory, "/query", serviceOfShipOrderStatusHistory.SelectAndPaging)
		// ShipOrderStatusHistory查询一条
		RegisterSelectOneShipOrderStatusHistory(shiporderstatushistory, "/selectone", serviceOfShipOrderStatusHistory.SelectOne)
		// ShipOrderStatusHistory修改一条
		// RegisterUpdateOneShipOrderStatusHistory(shiporderstatushistory, "/updateone", serviceOfShipOrderStatusHistory.UpdateOne)
		// ShipOrderStatusHistory修改多条
		// RegisterUpdateShipOrderStatusHistory(shiporderstatushistory, "/update", serviceOfShipOrderStatusHistory.Update)

		// ShipOrderItemLst的路由组
		shiporderitemlst := party.Party("/shiporderitemlst")
		// ShipOrderItemLst的服务实例
		var serviceOfShipOrderItemLst = svr.NewShipOrderItemLstService()
		// ShipOrderItemLst插入一条
		// RegisterInsertOneShipOrderItemLst(shiporderitemlst, "/insertone", serviceOfShipOrderItemLst.InsertOne)
		// ShipOrderItemLst插入多条
		// RegisterInsertShipOrderItemLst(shiporderitemlst, "/insert", serviceOfShipOrderItemLst.Insert)
		// ShipOrderItemLst删除一条
		// RegisterDeleteOneShipOrderItemLst(shiporderitemlst, "/deleteone", serviceOfShipOrderItemLst.DeleteOne)
		// ShipOrderItemLst删除多条
		// RegisterDeleteShipOrderItemLst(shiporderitemlst, "/delete", serviceOfShipOrderItemLst.Delete)
		// ShipOrderItemLst查询多条
		RegisterSelectShipOrderItemLst(shiporderitemlst, "/selectlist", serviceOfShipOrderItemLst.Select)
		// ShipOrderItemLst查询多条并分页
		RegisterQueryShipOrderItemLst(shiporderitemlst, "/query", serviceOfShipOrderItemLst.SelectAndPaging)
		// ShipOrderItemLst查询一条
		RegisterSelectOneShipOrderItemLst(shiporderitemlst, "/selectone", serviceOfShipOrderItemLst.SelectOne)
		// ShipOrderItemLst修改一条
		// RegisterUpdateOneShipOrderItemLst(shiporderitemlst, "/updateone", serviceOfShipOrderItemLst.UpdateOne)
		// ShipOrderItemLst修改多条
		// RegisterUpdateShipOrderItemLst(shiporderitemlst, "/update", serviceOfShipOrderItemLst.Update)

		// ShipOrderDataLst的路由组
		shiporderdatalst := party.Party("/shiporderdatalst")
		// ShipOrderDataLst的服务实例
		var serviceOfShipOrderDataLst = svr.NewShipOrderDataLstService()
		// ShipOrderDataLst插入一条
		// RegisterInsertOneShipOrderDataLst(shiporderdatalst, "/insertone", serviceOfShipOrderDataLst.InsertOne)
		// ShipOrderDataLst插入多条
		// RegisterInsertShipOrderDataLst(shiporderdatalst, "/insert", serviceOfShipOrderDataLst.Insert)
		// ShipOrderDataLst删除一条
		// RegisterDeleteOneShipOrderDataLst(shiporderdatalst, "/deleteone", serviceOfShipOrderDataLst.DeleteOne)
		// ShipOrderDataLst删除多条
		// RegisterDeleteShipOrderDataLst(shiporderdatalst, "/delete", serviceOfShipOrderDataLst.Delete)
		// ShipOrderDataLst查询多条
		RegisterSelectShipOrderDataLst(shiporderdatalst, "/selectlist", serviceOfShipOrderDataLst.Select)
		// ShipOrderDataLst查询多条并分页
		RegisterQueryShipOrderDataLst(shiporderdatalst, "/query", serviceOfShipOrderDataLst.SelectAndPaging)
		// ShipOrderDataLst查询一条
		RegisterSelectOneShipOrderDataLst(shiporderdatalst, "/selectone", serviceOfShipOrderDataLst.SelectOne)
		// ShipOrderDataLst修改一条
		// RegisterUpdateOneShipOrderDataLst(shiporderdatalst, "/updateone", serviceOfShipOrderDataLst.UpdateOne)
		// ShipOrderDataLst修改多条
		// RegisterUpdateShipOrderDataLst(shiporderdatalst, "/update", serviceOfShipOrderDataLst.Update)

		// ShipTemplate的路由组
		shiptemplate := party.Party("/shiptemplate")
		// ShipTemplate的服务实例
		var serviceOfShipTemplate = svr.NewShipTemplateService()
		// ShipTemplate插入一条
		RegisterInsertOneShipTemplate(shiptemplate, "/insertone", serviceOfShipTemplate.InsertOne)
		// ShipTemplate插入多条
		// RegisterInsertShipTemplate(shiptemplate, "/insert", serviceOfShipTemplate.Insert)
		// ShipTemplate删除一条
		RegisterDeleteOneShipTemplate(shiptemplate, "/deleteone", serviceOfShipTemplate.DeleteOne)
		// ShipTemplate删除多条
		// RegisterDeleteShipTemplate(shiptemplate, "/delete", serviceOfShipTemplate.Delete)
		// ShipTemplate查询多条
		RegisterSelectShipTemplate(shiptemplate, "/selectlist", serviceOfShipTemplate.Select)
		// ShipTemplate查询多条并分页
		RegisterQueryShipTemplate(shiptemplate, "/query", serviceOfShipTemplate.SelectAndPaging)
		// ShipTemplate查询一条
		RegisterSelectOneShipTemplate(shiptemplate, "/selectone", serviceOfShipTemplate.SelectOne)
		// ShipTemplate修改一条
		RegisterUpdateOneShipTemplate(shiptemplate, "/updateone", serviceOfShipTemplate.UpdateOne)
		// ShipTemplate修改多条
		// RegisterUpdateShipTemplate(shiptemplate, "/update", serviceOfShipTemplate.Update)

		// ShipTemplateItemLst的路由组
		shiptemplateitemlst := party.Party("/shiptemplateitemlst")
		// ShipTemplateItemLst的服务实例
		var serviceOfShipTemplateItemLst = svr.NewShipTemplateItemLstService()
		// ShipTemplateItemLst插入一条
		// RegisterInsertOneShipTemplateItemLst(shiptemplateitemlst, "/insertone", serviceOfShipTemplateItemLst.InsertOne)
		// ShipTemplateItemLst插入多条
		// RegisterInsertShipTemplateItemLst(shiptemplateitemlst, "/insert", serviceOfShipTemplateItemLst.Insert)
		// ShipTemplateItemLst删除一条
		// RegisterDeleteOneShipTemplateItemLst(shiptemplateitemlst, "/deleteone", serviceOfShipTemplateItemLst.DeleteOne)
		// ShipTemplateItemLst删除多条
		// RegisterDeleteShipTemplateItemLst(shiptemplateitemlst, "/delete", serviceOfShipTemplateItemLst.Delete)
		// ShipTemplateItemLst查询多条
		RegisterSelectShipTemplateItemLst(shiptemplateitemlst, "/selectlist", serviceOfShipTemplateItemLst.Select)
		// ShipTemplateItemLst查询多条并分页
		RegisterQueryShipTemplateItemLst(shiptemplateitemlst, "/query", serviceOfShipTemplateItemLst.SelectAndPaging)
		// ShipTemplateItemLst查询一条
		RegisterSelectOneShipTemplateItemLst(shiptemplateitemlst, "/selectone", serviceOfShipTemplateItemLst.SelectOne)
		// ShipTemplateItemLst修改一条
		// RegisterUpdateOneShipTemplateItemLst(shiptemplateitemlst, "/updateone", serviceOfShipTemplateItemLst.UpdateOne)
		// ShipTemplateItemLst修改多条
		// RegisterUpdateShipTemplateItemLst(shiptemplateitemlst, "/update", serviceOfShipTemplateItemLst.Update)

		// PackOrder的路由组
		packorder := party.Party("/packorder")
		// PackOrder的服务实例
		var serviceOfPackOrder = svr.NewPackOrderService()
		// PackOrder插入一条
		// RegisterInsertOnePackOrder(packorder, "/insertone", serviceOfPackOrder.InsertOne)
		// PackOrder插入多条
		// RegisterInsertPackOrder(packorder, "/insert", serviceOfPackOrder.Insert)
		// PackOrder删除一条
		// RegisterDeleteOnePackOrder(packorder, "/deleteone", serviceOfPackOrder.DeleteOne)
		// PackOrder删除多条
		// RegisterDeletePackOrder(packorder, "/delete", serviceOfPackOrder.Delete)
		// PackOrder查询多条
		RegisterSelectPackOrder(packorder, "/selectlist", serviceOfPackOrder.Select)
		// PackOrder查询多条并分页
		RegisterQueryPackOrder(packorder, "/query", serviceOfPackOrder.SelectAndPaging)
		// PackOrder查询一条
		RegisterSelectOnePackOrder(packorder, "/selectone", serviceOfPackOrder.SelectOne)
		// PackOrder修改一条
		// RegisterUpdateOnePackOrder(packorder, "/updateone", serviceOfPackOrder.UpdateOne)
		// PackOrder修改多条
		// RegisterUpdatePackOrder(packorder, "/update", serviceOfPackOrder.Update)
		// PackOrder扫描工单条码
		RegisterScanBarcode(packorder, "/scan", serviceOfPackOrder.ScanBarcode)
		// PackOrder 线外打包
		RegisterScanBarcodeOutLine(packorder, "/scanoutline", serviceOfPackOrder.ScanBarcodeOutLine)
		// PackOrder关闭包装单
		//RegisterClosePackOrder(packorder, "/close", serviceOfPackOrder.ClosePackOrder)
		// PackOrder 拆包
		RegisterSplitPackOrder(packorder, "/split", serviceOfPackOrder.SplitPackOrder)
		// PackOrder 获取当前用户操作中的包装单
		RegisterSelectOperatePackOrder(packorder, "/getuserorder", serviceOfPackOrder.GetUserOperatePackOrder)
		// PackOrder 关包
		RegisterClosePackOrder(packorder, "/close", serviceOfPackOrder.ClosePackOrder)
		// PackOrder 通过工单ID拆包
		RegisterSplitPackOrderBySerialOrderId(packorder, "/splitbyserialorder", serviceOfPackOrder.SplitPackOrderBySerialOrderId)
		// PackOrder 修复打包时写入plc的错误
		RegisterRepairPlcError(packorder, "/repairplcerror", serviceOfPackOrder.RepairPlcErr)

		// PackOrderStatus的路由组
		packorderstatus := party.Party("/packorderstatus")
		// PackOrderStatus的服务实例
		var serviceOfPackOrderStatus = svr.NewPackOrderStatusService()
		// PackOrderStatus插入一条
		// RegisterInsertOnePackOrderStatus(packorderstatus, "/insertone", serviceOfPackOrderStatus.InsertOne)
		// PackOrderStatus插入多条
		// RegisterInsertPackOrderStatus(packorderstatus, "/insert", serviceOfPackOrderStatus.Insert)
		// PackOrderStatus删除一条
		// RegisterDeleteOnePackOrderStatus(packorderstatus, "/deleteone", serviceOfPackOrderStatus.DeleteOne)
		// PackOrderStatus删除多条
		// RegisterDeletePackOrderStatus(packorderstatus, "/delete", serviceOfPackOrderStatus.Delete)
		// PackOrderStatus查询多条
		RegisterSelectPackOrderStatus(packorderstatus, "/selectlist", serviceOfPackOrderStatus.Select)
		// PackOrderStatus查询多条并分页
		RegisterQueryPackOrderStatus(packorderstatus, "/query", serviceOfPackOrderStatus.SelectAndPaging)
		// PackOrderStatus查询一条
		RegisterSelectOnePackOrderStatus(packorderstatus, "/selectone", serviceOfPackOrderStatus.SelectOne)
		// PackOrderStatus修改一条
		// RegisterUpdateOnePackOrderStatus(packorderstatus, "/updateone", serviceOfPackOrderStatus.UpdateOne)
		// PackOrderStatus修改多条
		// RegisterUpdatePackOrderStatus(packorderstatus, "/update", serviceOfPackOrderStatus.Update)

		// PackOrderStatusHistory的路由组
		packorderstatushistory := party.Party("/packorderstatushistory")
		// PackOrderStatusHistory的服务实例
		var serviceOfPackOrderStatusHistory = svr.NewPackOrderStatusHistoryService()
		// PackOrderStatusHistory插入一条
		// RegisterInsertOnePackOrderStatusHistory(packorderstatushistory, "/insertone", serviceOfPackOrderStatusHistory.InsertOne)
		// PackOrderStatusHistory插入多条
		// RegisterInsertPackOrderStatusHistory(packorderstatushistory, "/insert", serviceOfPackOrderStatusHistory.Insert)
		// PackOrderStatusHistory删除一条
		// RegisterDeleteOnePackOrderStatusHistory(packorderstatushistory, "/deleteone", serviceOfPackOrderStatusHistory.DeleteOne)
		// PackOrderStatusHistory删除多条
		// RegisterDeletePackOrderStatusHistory(packorderstatushistory, "/delete", serviceOfPackOrderStatusHistory.Delete)
		// PackOrderStatusHistory查询多条
		RegisterSelectPackOrderStatusHistory(packorderstatushistory, "/selectlist", serviceOfPackOrderStatusHistory.Select)
		// PackOrderStatusHistory查询多条并分页
		RegisterQueryPackOrderStatusHistory(packorderstatushistory, "/query", serviceOfPackOrderStatusHistory.SelectAndPaging)
		// PackOrderStatusHistory查询一条
		RegisterSelectOnePackOrderStatusHistory(packorderstatushistory, "/selectone", serviceOfPackOrderStatusHistory.SelectOne)
		// PackOrderStatusHistory修改一条
		// RegisterUpdateOnePackOrderStatusHistory(packorderstatushistory, "/updateone", serviceOfPackOrderStatusHistory.UpdateOne)
		// PackOrderStatusHistory修改多条
		// RegisterUpdatePackOrderStatusHistory(packorderstatushistory, "/update", serviceOfPackOrderStatusHistory.Update)

		// PackOrderItemLst的路由组
		packorderitemlst := party.Party("/packorderitemlst")
		// PackOrderItemLst的服务实例
		var serviceOfPackOrderItemLst = svr.NewPackOrderItemLstService()
		// PackOrderItemLst插入一条
		// RegisterInsertOnePackOrderItemLst(packorderitemlst, "/insertone", serviceOfPackOrderItemLst.InsertOne)
		// PackOrderItemLst插入多条
		// RegisterInsertPackOrderItemLst(packorderitemlst, "/insert", serviceOfPackOrderItemLst.Insert)
		// PackOrderItemLst删除一条
		// RegisterDeleteOnePackOrderItemLst(packorderitemlst, "/deleteone", serviceOfPackOrderItemLst.DeleteOne)
		// PackOrderItemLst删除多条
		// RegisterDeletePackOrderItemLst(packorderitemlst, "/delete", serviceOfPackOrderItemLst.Delete)
		// PackOrderItemLst查询多条
		RegisterSelectPackOrderItemLst(packorderitemlst, "/selectlist", serviceOfPackOrderItemLst.Select)
		// PackOrderItemLst查询多条并分页
		RegisterQueryPackOrderItemLst(packorderitemlst, "/query", serviceOfPackOrderItemLst.SelectAndPaging)
		// PackOrderItemLst查询一条
		RegisterSelectOnePackOrderItemLst(packorderitemlst, "/selectone", serviceOfPackOrderItemLst.SelectOne)
		// PackOrderItemLst修改一条
		// RegisterUpdateOnePackOrderItemLst(packorderitemlst, "/updateone", serviceOfPackOrderItemLst.UpdateOne)
		// PackOrderItemLst修改多条
		// RegisterUpdatePackOrderItemLst(packorderitemlst, "/update", serviceOfPackOrderItemLst.Update)

		// PackOrderPlcError的路由组
		packorderplcerror := party.Party("/packorderplcerror")
		// PackOrderPlcError的服务实例
		var serviceOfPackOrderPlcError = svr.NewPackOrderPlcErrorService()
		// PackOrderPlcError插入一条
		// RegisterInsertOnePackOrderPlcError(packorderplcerror, "/insertone", serviceOfPackOrderPlcError.InsertOne)
		// PackOrderPlcError插入多条
		// RegisterInsertPackOrderPlcError(packorderplcerror, "/insert", serviceOfPackOrderPlcError.Insert)
		// PackOrderPlcError删除一条
		RegisterDeleteOnePackOrderPlcError(packorderplcerror, "/deleteone", serviceOfPackOrderPlcError.DeleteOne)
		// PackOrderPlcError删除多条
		// RegisterDeletePackOrderPlcError(packorderplcerror, "/delete", serviceOfPackOrderPlcError.Delete)
		// PackOrderPlcError查询多条
		RegisterSelectPackOrderPlcError(packorderplcerror, "/selectlist", serviceOfPackOrderPlcError.Select)
		// PackOrderPlcError查询多条并分页
		RegisterQueryPackOrderPlcError(packorderplcerror, "/query", serviceOfPackOrderPlcError.SelectAndPaging)
		// PackOrderPlcError查询一条
		RegisterSelectOnePackOrderPlcError(packorderplcerror, "/selectone", serviceOfPackOrderPlcError.SelectOne)
		// PackOrderPlcError修改一条
		// RegisterUpdateOnePackOrderPlcError(packorderplcerror, "/updateone", serviceOfPackOrderPlcError.UpdateOne)
		// PackOrderPlcError修改多条
		// RegisterUpdatePackOrderPlcError(packorderplcerror, "/update", serviceOfPackOrderPlcError.Update)

		// PackTemplate的路由组
		packtemplate := party.Party("/packtemplate")
		// PackTemplate的服务实例
		var serviceOfPackTemplate = svr.NewPackTemplateService()
		// PackTemplate插入一条
		// RegisterInsertOnePackTemplate(packtemplate, "/insertone", serviceOfPackTemplate.InsertOne)
		// PackTemplate插入多条
		// RegisterInsertPackTemplate(packtemplate, "/insert", serviceOfPackTemplate.Insert)
		// PackTemplate删除一条
		RegisterDeleteOnePackTemplate(packtemplate, "/deleteone", serviceOfPackTemplate.DeleteOne)
		// PackTemplate删除多条
		// RegisterDeletePackTemplate(packtemplate, "/delete", serviceOfPackTemplate.Delete)
		// PackTemplate查询多条
		RegisterSelectPackTemplate(packtemplate, "/selectlist", serviceOfPackTemplate.Select)
		// PackTemplate查询多条并分页
		RegisterQueryPackTemplate(packtemplate, "/query", serviceOfPackTemplate.SelectAndPaging)
		// PackTemplate查询一条
		RegisterSelectOnePackTemplate(packtemplate, "/selectone", serviceOfPackTemplate.SelectOne)
		// PackTemplate修改一条
		RegisterUpdateOnePackTemplate(packtemplate, "/updateone", serviceOfPackTemplate.UpdateOne)
		// PackTemplate修改多条
		// RegisterUpdatePackTemplate(packtemplate, "/update", serviceOfPackTemplate.Update)

		// PackTemplateItemLst的路由组
		packtemplateitemlst := party.Party("/packtemplateitemlst")
		// PackTemplateItemLst的服务实例
		var serviceOfPackTemplateItemLst = svr.NewPackTemplateItemLstService()
		// PackTemplateItemLst插入一条
		// RegisterInsertOnePackTemplateItemLst(packtemplateitemlst, "/insertone", serviceOfPackTemplateItemLst.InsertOne)
		// PackTemplateItemLst插入多条
		// RegisterInsertPackTemplateItemLst(packtemplateitemlst, "/insert", serviceOfPackTemplateItemLst.Insert)
		// PackTemplateItemLst删除一条
		// RegisterDeleteOnePackTemplateItemLst(packtemplateitemlst, "/deleteone", serviceOfPackTemplateItemLst.DeleteOne)
		// PackTemplateItemLst删除多条
		// RegisterDeletePackTemplateItemLst(packtemplateitemlst, "/delete", serviceOfPackTemplateItemLst.Delete)
		// PackTemplateItemLst查询多条
		RegisterSelectPackTemplateItemLst(packtemplateitemlst, "/selectlist", serviceOfPackTemplateItemLst.Select)
		// PackTemplateItemLst查询多条并分页
		RegisterQueryPackTemplateItemLst(packtemplateitemlst, "/query", serviceOfPackTemplateItemLst.SelectAndPaging)
		// PackTemplateItemLst查询一条
		RegisterSelectOnePackTemplateItemLst(packtemplateitemlst, "/selectone", serviceOfPackTemplateItemLst.SelectOne)
		// PackTemplateItemLst修改一条
		// RegisterUpdateOnePackTemplateItemLst(packtemplateitemlst, "/updateone", serviceOfPackTemplateItemLst.UpdateOne)
		// PackTemplateItemLst修改多条
		// RegisterUpdatePackTemplateItemLst(packtemplateitemlst, "/update", serviceOfPackTemplateItemLst.Update)


	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-19 10:26:40
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
