// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package pln

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	svr "LAPP_ACURA_MOM_BACKEND/services/pln"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块pln路由分组
	grmi.RegisterRouteMapping("/pln", func(party router.Party) {

		// HondaDemandItemLst的路由组
		hondademanditemlst := party.Party("/hondademanditemlst")
		// HondaDemandItemLst的服务实例
		var serviceOfHondaDemandItemLst = svr.NewHondaDemandItemLstService()
		// HondaDemandItemLst插入一条
		// RegisterInsertOneHondaDemandItemLst(hondademanditemlst, "/insertone", serviceOfHondaDemandItemLst.InsertOne)
		// HondaDemandItemLst插入多条
		// RegisterInsertHondaDemandItemLst(hondademanditemlst, "/insert", serviceOfHondaDemandItemLst.Insert)
		// HondaDemandItemLst删除一条
		// RegisterDeleteOneHondaDemandItemLst(hondademanditemlst, "/deleteone", serviceOfHondaDemandItemLst.DeleteOne)
		// HondaDemandItemLst删除多条
		// RegisterDeleteHondaDemandItemLst(hondademanditemlst, "/delete", serviceOfHondaDemandItemLst.Delete)
		// HondaDemandItemLst查询多条
		RegisterSelectHondaDemandItemLst(hondademanditemlst, "/selectlist", serviceOfHondaDemandItemLst.Select)
		// HondaDemandItemLst查询多条并分页
		RegisterQueryHondaDemandItemLst(hondademanditemlst, "/query", serviceOfHondaDemandItemLst.SelectAndPaging)
		// HondaDemandItemLst查询一条
		RegisterSelectOneHondaDemandItemLst(hondademanditemlst, "/selectone", serviceOfHondaDemandItemLst.SelectOne)
		// HondaDemandItemLst修改一条
		// RegisterUpdateOneHondaDemandItemLst(hondademanditemlst, "/updateone", serviceOfHondaDemandItemLst.UpdateOne)
		// HondaDemandItemLst修改多条
		// RegisterUpdateHondaDemandItemLst(hondademanditemlst, "/update", serviceOfHondaDemandItemLst.Update)

		// HondaDemand的路由组
		hondademand := party.Party("/hondademand")
		// HondaDemand的服务实例
		var serviceOfHondaDemand = svr.NewHondaDemandService()
		// HondaDemand插入一条
		RegisterInsertOneHondaDemand(hondademand, "/insertone", serviceOfHondaDemand.InsertOne)
		// HondaDemand插入多条
		//RegisterInsertHondaDemand(hondademand, "/insert", serviceOfHondaDemand.Insert)
		// HondaDemand删除一条
		// RegisterDeleteOneHondaDemand(hondademand, "/deleteone", serviceOfHondaDemand.DeleteOne)
		// HondaDemand删除多条
		// RegisterDeleteHondaDemand(hondademand, "/delete", serviceOfHondaDemand.Delete)
		// HondaDemand查询多条
		RegisterSelectHondaDemand(hondademand, "/selectlist", serviceOfHondaDemand.Select)
		// HondaDemand查询多条并分页
		RegisterQueryHondaDemand(hondademand, "/query", serviceOfHondaDemand.SelectAndPaging)
		// HondaDemand查询一条
		RegisterSelectOneHondaDemand(hondademand, "/selectone", serviceOfHondaDemand.SelectOne)
		// HondaDemand修改一条
		// RegisterUpdateOneHondaDemand(hondademand, "/updateone", serviceOfHondaDemand.UpdateOne)
		// HondaDemand修改多条
		// RegisterUpdateHondaDemand(hondademand, "/update", serviceOfHondaDemand.Update)
		RegisterAnalysisHondaDemand(hondademand, "/analysis", serviceOfHondaDemand.Analysis)

		// HondaDemandErrorLst的路由组
		hondademanderrorlst := party.Party("/hondademanderrorlst")
		// HondaDemandErrorLst的服务实例
		var serviceOfHondaDemandErrorLst = svr.NewHondaDemandErrorLstService()
		// HondaDemandErrorLst插入一条
		// RegisterInsertOneHondaDemandErrorLst(hondademanderrorlst, "/insertone", serviceOfHondaDemandErrorLst.InsertOne)
		// HondaDemandErrorLst插入多条
		// RegisterInsertHondaDemandErrorLst(hondademanderrorlst, "/insert", serviceOfHondaDemandErrorLst.Insert)
		// HondaDemandErrorLst删除一条
		// RegisterDeleteOneHondaDemandErrorLst(hondademanderrorlst, "/deleteone", serviceOfHondaDemandErrorLst.DeleteOne)
		// HondaDemandErrorLst删除多条
		// RegisterDeleteHondaDemandErrorLst(hondademanderrorlst, "/delete", serviceOfHondaDemandErrorLst.Delete)
		// HondaDemandErrorLst查询多条
		RegisterSelectHondaDemandErrorLst(hondademanderrorlst, "/selectlist", serviceOfHondaDemandErrorLst.Select)
		// HondaDemandErrorLst查询多条并分页
		RegisterQueryHondaDemandErrorLst(hondademanderrorlst, "/query", serviceOfHondaDemandErrorLst.SelectAndPaging)
		// HondaDemandErrorLst查询一条
		RegisterSelectOneHondaDemandErrorLst(hondademanderrorlst, "/selectone", serviceOfHondaDemandErrorLst.SelectOne)
		RegisterRepairHondaDemandErrorLst(hondademanderrorlst, "/repair", serviceOfHondaDemandErrorLst.Repair)
		// HondaDemandErrorLst修改一条
		// RegisterUpdateOneHondaDemandErrorLst(hondademanderrorlst, "/updateone", serviceOfHondaDemandErrorLst.UpdateOne)
		// HondaDemandErrorLst修改多条
		// RegisterUpdateHondaDemandErrorLst(hondademanderrorlst, "/update", serviceOfHondaDemandErrorLst.Update)

		// CustOrder的路由组
		custorder := party.Party("/custorder")
		// CustOrder的服务实例
		var serviceOfCustOrder = svr.NewCustOrderService()
		// CustOrder插入一条
		RegisterInsertOneCustOrder(custorder, "/insertone", serviceOfCustOrder.InsertOne)
		// CustOrder插入多条
		// RegisterInsertCustOrder(custorder, "/insert", serviceOfCustOrder.Insert)
		// CustOrder删除一条
		// RegisterDeleteOneCustOrder(custorder, "/deleteone", serviceOfCustOrder.DeleteOne)
		RegisterCancelCustOrder(custorder, "/cancel", serviceOfCustOrder.Cancel)
		// CustOrder删除多条
		// RegisterDeleteCustOrder(custorder, "/delete", serviceOfCustOrder.Delete)
		// CustOrder查询多条
		RegisterSelectCustOrder(custorder, "/selectlist", serviceOfCustOrder.Select)
		// CustOrder查询多条并分页
		RegisterQueryCustOrder(custorder, "/query", serviceOfCustOrder.SelectAndPaging)
		// CustOrder 工单管理页面查询多条并分页
		RegisterQueryCustOrder(custorder, "/select", serviceOfCustOrder.PageSelect)
		// CustOrder查询一条
		RegisterSelectOneCustOrder(custorder, "/selectone", serviceOfCustOrder.SelectOne)
		// CustOrder修改一条
		RegisterUpdateOneCustOrder(custorder, "/updateone", serviceOfCustOrder.UpdateOne)
		// CustOrder修改多条
		// RegisterUpdateCustOrder(custorder, "/update", serviceOfCustOrder.Update)
		// CustOrder 计划
		RegisterPlanCustOrder(custorder, "/plan", serviceOfCustOrder.PlanCustOrder)
		// CustOrder 锁定
		RegisterLockCustOrder(custorder, "/lock", serviceOfCustOrder.LockCustOrder)
		// CustOrder 撤回已计划客户订单的状态
		RegisterWithdrawCustOrder(custorder, "/withdraw", serviceOfCustOrder.WithdrawCustOrder)
		// CustOrder 将已计划的工单取消
		RegisterCancelCustOrderStatus(custorder, "/cancel", serviceOfCustOrder.Cancel)
		// CustOrder 取消已完成状态以下客户订单的工单数量
		RegisterCancelCustOrderQty(custorder, "/cancelqty", serviceOfCustOrder.CancelCustOrderQty)
		// Dashboard 数据展示
		RegisterDashboard(custorder, "/dashboard", serviceOfCustOrder.Dashboard)
		// CustOrder 获取可以操作的数量
		RegisterSelectCanCancelQty(custorder, "/candoqty", serviceOfCustOrder.SelectCanCancelQty)
		// CustOrder 拆分客户订单
		RegisterSplitOrderQty(custorder, "/split", serviceOfCustOrder.SplitOrderQty)
		// 解析excel生成客户订单
		RegisterAnalysisExcelToCustOrder(custorder, "/analysisexcel", serviceOfCustOrder.AnalysisPlanFromExcel)
		// 查询所有派工未完成和派工失败的任务
		RegisterSelectReleaseCustOrder(custorder, "/releasetask", serviceOfCustOrder.SelectReleaseTask)
		// 修复派工失败
		RegisterRepairReleaseFailedTask(custorder, "/repairrelease", serviceOfCustOrder.RepairReleaseFailedTask)

		// CustOrderStatus的路由组
		custorderstatus := party.Party("/custorderstatus")
		// CustOrderStatus的服务实例
		var serviceOfCustOrderStatus = svr.NewCustOrderStatusService()
		// CustOrderStatus插入一条
		// RegisterInsertOneCustOrderStatus(custorderstatus, "/insertone", serviceOfCustOrderStatus.InsertOne)
		// CustOrderStatus插入多条
		// RegisterInsertCustOrderStatus(custorderstatus, "/insert", serviceOfCustOrderStatus.Insert)
		// CustOrderStatus删除一条
		// RegisterDeleteOneCustOrderStatus(custorderstatus, "/deleteone", serviceOfCustOrderStatus.DeleteOne)
		// CustOrderStatus删除多条
		// RegisterDeleteCustOrderStatus(custorderstatus, "/delete", serviceOfCustOrderStatus.Delete)
		// CustOrderStatus查询多条
		RegisterSelectCustOrderStatus(custorderstatus, "/selectlist", serviceOfCustOrderStatus.Select)
		// CustOrderStatus查询多条并分页
		RegisterQueryCustOrderStatus(custorderstatus, "/query", serviceOfCustOrderStatus.SelectAndPaging)
		// CustOrderStatus查询一条
		RegisterSelectOneCustOrderStatus(custorderstatus, "/selectone", serviceOfCustOrderStatus.SelectOne)
		// CustOrderStatus修改一条
		// RegisterUpdateOneCustOrderStatus(custorderstatus, "/updateone", serviceOfCustOrderStatus.UpdateOne)
		// CustOrderStatus修改多条
		// RegisterUpdateCustOrderStatus(custorderstatus, "/update", serviceOfCustOrderStatus.Update)

		// CustOrderStatusHistory的路由组
		custorderstatushistory := party.Party("/custorderstatushistory")
		// CustOrderStatusHistory的服务实例
		var serviceOfCustOrderStatusHistory = svr.NewCustOrderStatusHistoryService()
		// CustOrderStatusHistory插入一条
		// RegisterInsertOneCustOrderStatusHistory(custorderstatushistory, "/insertone", serviceOfCustOrderStatusHistory.InsertOne)
		// CustOrderStatusHistory插入多条
		// RegisterInsertCustOrderStatusHistory(custorderstatushistory, "/insert", serviceOfCustOrderStatusHistory.Insert)
		// CustOrderStatusHistory删除一条
		// RegisterDeleteOneCustOrderStatusHistory(custorderstatushistory, "/deleteone", serviceOfCustOrderStatusHistory.DeleteOne)
		// CustOrderStatusHistory删除多条
		// RegisterDeleteCustOrderStatusHistory(custorderstatushistory, "/delete", serviceOfCustOrderStatusHistory.Delete)
		// CustOrderStatusHistory查询多条
		RegisterSelectCustOrderStatusHistory(custorderstatushistory, "/selectlist", serviceOfCustOrderStatusHistory.Select)
		// CustOrderStatusHistory查询多条并分页
		RegisterQueryCustOrderStatusHistory(custorderstatushistory, "/query", serviceOfCustOrderStatusHistory.SelectAndPaging)
		// CustOrderStatusHistory查询一条
		RegisterSelectOneCustOrderStatusHistory(custorderstatushistory, "/selectone", serviceOfCustOrderStatusHistory.SelectOne)
		// CustOrderStatusHistory修改一条
		// RegisterUpdateOneCustOrderStatusHistory(custorderstatushistory, "/updateone", serviceOfCustOrderStatusHistory.UpdateOne)
		// CustOrderStatusHistory修改多条
		// RegisterUpdateCustOrderStatusHistory(custorderstatushistory, "/update", serviceOfCustOrderStatusHistory.Update)

		// CustOrderQty的路由组
		custorderqty := party.Party("/custorderqty")
		// CustOrderQty的服务实例
		var serviceOfCustOrderQty = svr.NewCustOrderQtyService()
		// CustOrderQty插入一条
		// RegisterInsertOneCustOrderQty(custorderqty, "/insertone", serviceOfCustOrderQty.InsertOne)
		// CustOrderQty插入多条
		// RegisterInsertCustOrderQty(custorderqty, "/insert", serviceOfCustOrderQty.Insert)
		// CustOrderQty删除一条
		// RegisterDeleteOneCustOrderQty(custorderqty, "/deleteone", serviceOfCustOrderQty.DeleteOne)
		// CustOrderQty删除多条
		// RegisterDeleteCustOrderQty(custorderqty, "/delete", serviceOfCustOrderQty.Delete)
		// CustOrderQty查询多条
		RegisterSelectCustOrderQty(custorderqty, "/selectlist", serviceOfCustOrderQty.Select)
		// CustOrderQty查询多条并分页
		RegisterQueryCustOrderQty(custorderqty, "/query", serviceOfCustOrderQty.SelectAndPaging)
		// CustOrderQty查询一条
		RegisterSelectOneCustOrderQty(custorderqty, "/selectone", serviceOfCustOrderQty.SelectOne)
		// CustOrderQty修改一条
		// RegisterUpdateOneCustOrderQty(custorderqty, "/updateone", serviceOfCustOrderQty.UpdateOne)
		// CustOrderQty修改多条
		// RegisterUpdateCustOrderQty(custorderqty, "/update", serviceOfCustOrderQty.Update)

		// HondaCalloff的路由组
		hondacalloff := party.Party("/hondacalloff")
		// HondaCalloff的服务实例
		var serviceOfHondaCalloff = svr.NewHondaCalloffService()
		// HondaCalloff插入一条
		RegisterInsertOneHondaCalloff(hondacalloff, "/insertone", serviceOfHondaCalloff.InsertOne)
		// HondaCalloff插入多条
		// RegisterInsertHondaCalloff(hondacalloff, "/insert", serviceOfHondaCalloff.Insert)
		// HondaCalloff删除一条
		//RegisterDeleteOneHondaCalloff(hondacalloff, "/deleteone", serviceOfHondaCalloff.DeleteOne)
		// HondaCalloff删除多条
		// RegisterDeleteHondaCalloff(hondacalloff, "/delete", serviceOfHondaCalloff.Delete)
		// HondaCalloff查询多条
		RegisterSelectHondaCalloff(hondacalloff, "/selectlist", serviceOfHondaCalloff.Select)
		// HondaCalloff查询多条并分页
		RegisterQueryHondaCalloff(hondacalloff, "/query", serviceOfHondaCalloff.SelectAndPaging)
		// HondaCalloff查询一条
		RegisterSelectOneHondaCalloff(hondacalloff, "/selectone", serviceOfHondaCalloff.SelectOne)
		// HondaCalloff修改一条
		// RegisterUpdateOneHondaCalloff(hondacalloff, "/updateone", serviceOfHondaCalloff.UpdateOne)
		// HondaCalloff修改多条
		// RegisterUpdateHondaCalloff(hondacalloff, "/update", serviceOfHondaCalloff.Update)
		// HondaCalloff 重新解析
		RegisterAnalysisDataAgain(hondacalloff, "/analysis", serviceOfHondaCalloff.AnalysisDataAgain)

		// HondaCalloffErrorLst的路由组
		hondacallofferrorlst := party.Party("/hondacallofferrorlst")
		// HondaCalloffErrorLst的服务实例
		var serviceOfHondaCalloffErrorLst = svr.NewHondaCalloffErrorLstService()
		// HondaCalloffErrorLst插入一条
		// RegisterInsertOneHondaCalloffErrorLst(hondacallofferrorlst, "/insertone", serviceOfHondaCalloffErrorLst.InsertOne)
		// HondaCalloffErrorLst插入多条
		// RegisterInsertHondaCalloffErrorLst(hondacallofferrorlst, "/insert", serviceOfHondaCalloffErrorLst.Insert)
		// HondaCalloffErrorLst删除一条
		// RegisterDeleteOneHondaCalloffErrorLst(hondacallofferrorlst, "/deleteone", serviceOfHondaCalloffErrorLst.DeleteOne)
		// HondaCalloffErrorLst删除多条
		// RegisterDeleteHondaCalloffErrorLst(hondacallofferrorlst, "/delete", serviceOfHondaCalloffErrorLst.Delete)
		// HondaCalloffErrorLst查询多条
		RegisterSelectHondaCalloffErrorLst(hondacallofferrorlst, "/selectlist", serviceOfHondaCalloffErrorLst.Select)
		// HondaCalloffErrorLst查询多条并分页
		RegisterQueryHondaCalloffErrorLst(hondacallofferrorlst, "/query", serviceOfHondaCalloffErrorLst.SelectAndPaging)
		// HondaCalloffErrorLst查询一条
		RegisterSelectOneHondaCalloffErrorLst(hondacallofferrorlst, "/selectone", serviceOfHondaCalloffErrorLst.SelectOne)
		// HondaCalloffErrorLst修改一条
		// RegisterUpdateOneHondaCalloffErrorLst(hondacallofferrorlst, "/updateone", serviceOfHondaCalloffErrorLst.UpdateOne)
		// HondaCalloffErrorLst修改多条
		// RegisterUpdateHondaCalloffErrorLst(hondacallofferrorlst, "/update", serviceOfHondaCalloffErrorLst.Update)
		// HondaCalloffErrorLst 修复一条错误
		RegisterRepairError(hondacallofferrorlst, "/repair", serviceOfHondaCalloffErrorLst.RepairError)
		// HondaCalloffErrorLst 修复所有错误
		RegisterRepairAllError(hondacallofferrorlst, "/repairall", serviceOfHondaCalloffErrorLst.RepairAllError)

		// HondaCalloffItemLst的路由组
		hondacalloffitemlst := party.Party("/hondacalloffitemlst")
		// HondaCalloffItemLst的服务实例
		var serviceOfHondaCalloffItemLst = svr.NewHondaCalloffItemLstService()
		// HondaCalloffItemLst插入一条
		// RegisterInsertOneHondaCalloffItemLst(hondacalloffitemlst, "/insertone", serviceOfHondaCalloffItemLst.InsertOne)
		// HondaCalloffItemLst插入多条
		// RegisterInsertHondaCalloffItemLst(hondacalloffitemlst, "/insert", serviceOfHondaCalloffItemLst.Insert)
		// HondaCalloffItemLst删除一条
		// RegisterDeleteOneHondaCalloffItemLst(hondacalloffitemlst, "/deleteone", serviceOfHondaCalloffItemLst.DeleteOne)
		// HondaCalloffItemLst删除多条
		// RegisterDeleteHondaCalloffItemLst(hondacalloffitemlst, "/delete", serviceOfHondaCalloffItemLst.Delete)
		// HondaCalloffItemLst查询多条
		RegisterSelectHondaCalloffItemLst(hondacalloffitemlst, "/selectlist", serviceOfHondaCalloffItemLst.Select)
		// HondaCalloffItemLst查询多条并分页
		RegisterQueryHondaCalloffItemLst(hondacalloffitemlst, "/query", serviceOfHondaCalloffItemLst.SelectAndPaging)
		// HondaCalloffItemLst查询一条
		RegisterSelectOneHondaCalloffItemLst(hondacalloffitemlst, "/selectone", serviceOfHondaCalloffItemLst.SelectOne)
		// HondaCalloffItemLst修改一条
		// RegisterUpdateOneHondaCalloffItemLst(hondacalloffitemlst, "/updateone", serviceOfHondaCalloffItemLst.UpdateOne)
		// HondaCalloffItemLst修改多条
		// RegisterUpdateHondaCalloffItemLst(hondacalloffitemlst, "/update", serviceOfHondaCalloffItemLst.Update)

		// ToyotaCalloff的路由组
		toyotacalloff := party.Party("/toyotacalloff")
		// ToyotaCalloff的服务实例
		var serviceOfToyotaCalloff = svr.NewToyotaCalloffService()
		// ToyotaCalloff插入一条
		// RegisterInsertOneToyotaCalloff(toyotacalloff, "/insertone", serviceOfToyotaCalloff.InsertOne)
		// ToyotaCalloff插入多条
		// RegisterInsertToyotaCalloff(toyotacalloff, "/insert", serviceOfToyotaCalloff.Insert)
		// ToyotaCalloff删除一条
		// RegisterDeleteOneToyotaCalloff(toyotacalloff, "/deleteone", serviceOfToyotaCalloff.DeleteOne)
		// ToyotaCalloff删除多条
		// RegisterDeleteToyotaCalloff(toyotacalloff, "/delete", serviceOfToyotaCalloff.Delete)
		// ToyotaCalloff查询多条
		RegisterSelectToyotaCalloff(toyotacalloff, "/selectlist", serviceOfToyotaCalloff.Select)
		// ToyotaCalloff查询多条并分页
		RegisterQueryToyotaCalloff(toyotacalloff, "/query", serviceOfToyotaCalloff.SelectAndPaging)
		// ToyotaCalloff查询一条
		RegisterSelectOneToyotaCalloff(toyotacalloff, "/selectone", serviceOfToyotaCalloff.SelectOne)
		// ToyotaCalloff修改一条
		// RegisterUpdateOneToyotaCalloff(toyotacalloff, "/updateone", serviceOfToyotaCalloff.UpdateOne)
		// ToyotaCalloff修改多条
		// RegisterUpdateToyotaCalloff(toyotacalloff, "/update", serviceOfToyotaCalloff.Update)
		// ToyotaCalloff 重新解析
		RegisterAnalysisAgainToyotaCalloff(toyotacalloff, "/analysisagain", serviceOfToyotaCalloff.AnalysisAgain)

		// ToyotaCallOffErrorLst的路由组
		toyotacallofferrorlst := party.Party("/toyotacallofferrorlst")
		// ToyotaCallOffErrorLst的服务实例
		var serviceOfToyotaCallOffErrorLst = svr.NewToyotaCallOffErrorLstService()
		// ToyotaCallOffErrorLst插入一条
		// RegisterInsertOneToyotaCallOffErrorLst(toyotacallofferrorlst, "/insertone", serviceOfToyotaCallOffErrorLst.InsertOne)
		// ToyotaCallOffErrorLst插入多条
		// RegisterInsertToyotaCallOffErrorLst(toyotacallofferrorlst, "/insert", serviceOfToyotaCallOffErrorLst.Insert)
		// ToyotaCallOffErrorLst删除一条
		// RegisterDeleteOneToyotaCallOffErrorLst(toyotacallofferrorlst, "/deleteone", serviceOfToyotaCallOffErrorLst.DeleteOne)
		// ToyotaCallOffErrorLst删除多条
		// RegisterDeleteToyotaCallOffErrorLst(toyotacallofferrorlst, "/delete", serviceOfToyotaCallOffErrorLst.Delete)
		// ToyotaCallOffErrorLst查询多条
		RegisterSelectToyotaCallOffErrorLst(toyotacallofferrorlst, "/selectlist", serviceOfToyotaCallOffErrorLst.Select)
		// ToyotaCallOffErrorLst查询多条并分页
		RegisterQueryToyotaCallOffErrorLst(toyotacallofferrorlst, "/query", serviceOfToyotaCallOffErrorLst.SelectAndPaging)
		// ToyotaCallOffErrorLst查询一条
		RegisterSelectOneToyotaCallOffErrorLst(toyotacallofferrorlst, "/selectone", serviceOfToyotaCallOffErrorLst.SelectOne)
		// ToyotaCallOffErrorLst修改一条
		// RegisterUpdateOneToyotaCallOffErrorLst(toyotacallofferrorlst, "/updateone", serviceOfToyotaCallOffErrorLst.UpdateOne)
		// ToyotaCallOffErrorLst修改多条
		// RegisterUpdateToyotaCallOffErrorLst(toyotacallofferrorlst, "/update", serviceOfToyotaCallOffErrorLst.Update)
		// ToyotaCallOffErrorLst修改多条
		RegisterRepairToyotaCallOffErrorLst(toyotacallofferrorlst, "/repair", serviceOfToyotaCallOffErrorLst.RepairError)

		// ToyotaDeliveryOrder的路由组
		toyotadeliveryorder := party.Party("/toyotadeliveryorder")
		// ToyotaDeliveryOrder的服务实例
		var serviceOfToyotaDeliveryOrder = svr.NewToyotaDeliveryOrderService()
		// ToyotaDeliveryOrder插入一条
		// RegisterInsertOneToyotaDeliveryOrder(toyotadeliveryorder, "/insertone", serviceOfToyotaDeliveryOrder.InsertOne)
		// ToyotaDeliveryOrder插入多条
		// RegisterInsertToyotaDeliveryOrder(toyotadeliveryorder, "/insert", serviceOfToyotaDeliveryOrder.Insert)
		// ToyotaDeliveryOrder删除一条
		// RegisterDeleteOneToyotaDeliveryOrder(toyotadeliveryorder, "/deleteone", serviceOfToyotaDeliveryOrder.DeleteOne)
		// ToyotaDeliveryOrder删除多条
		// RegisterDeleteToyotaDeliveryOrder(toyotadeliveryorder, "/delete", serviceOfToyotaDeliveryOrder.Delete)
		// ToyotaDeliveryOrder查询多条
		RegisterSelectToyotaDeliveryOrder(toyotadeliveryorder, "/selectlist", serviceOfToyotaDeliveryOrder.Select)
		// ToyotaDeliveryOrder查询多条并分页
		RegisterQueryToyotaDeliveryOrder(toyotadeliveryorder, "/query", serviceOfToyotaDeliveryOrder.SelectAndPaging)
		// ToyotaDeliveryOrder查询一条
		RegisterSelectOneToyotaDeliveryOrder(toyotadeliveryorder, "/selectone", serviceOfToyotaDeliveryOrder.SelectOne)
		// ToyotaDeliveryOrder修改一条
		// RegisterUpdateOneToyotaDeliveryOrder(toyotadeliveryorder, "/updateone", serviceOfToyotaDeliveryOrder.UpdateOne)
		// ToyotaDeliveryOrder修改多条
		// RegisterUpdateToyotaDeliveryOrder(toyotadeliveryorder, "/update", serviceOfToyotaDeliveryOrder.Update)
		// ToyotaDeliveryOrder 修复PLC错误
		RegisterRepairDeliveryOrderError(toyotadeliveryorder, "/repairerror", serviceOfToyotaDeliveryOrder.RepairDeliveryOrderError)

		// ToyotaDeliveryOrderErrorLst的路由组
		toyotadeliveryordererrorlst := party.Party("/toyotadeliveryordererrorlst")
		// ToyotaDeliveryOrderErrorLst的服务实例
		var serviceOfToyotaDeliveryOrderErrorLst = svr.NewToyotaDeliveryOrderErrorLstService()
		// ToyotaDeliveryOrderErrorLst插入一条
		// RegisterInsertOneToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/insertone", serviceOfToyotaDeliveryOrderErrorLst.InsertOne)
		// ToyotaDeliveryOrderErrorLst插入多条
		// RegisterInsertToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/insert", serviceOfToyotaDeliveryOrderErrorLst.Insert)
		// ToyotaDeliveryOrderErrorLst删除一条
		// RegisterDeleteOneToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/deleteone", serviceOfToyotaDeliveryOrderErrorLst.DeleteOne)
		// ToyotaDeliveryOrderErrorLst删除多条
		// RegisterDeleteToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/delete", serviceOfToyotaDeliveryOrderErrorLst.Delete)
		// ToyotaDeliveryOrderErrorLst查询多条
		RegisterSelectToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/selectlist", serviceOfToyotaDeliveryOrderErrorLst.Select)
		// ToyotaDeliveryOrderErrorLst查询多条并分页
		RegisterQueryToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/query", serviceOfToyotaDeliveryOrderErrorLst.SelectAndPaging)
		// ToyotaDeliveryOrderErrorLst查询一条
		RegisterSelectOneToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/selectone", serviceOfToyotaDeliveryOrderErrorLst.SelectOne)
		// ToyotaDeliveryOrderErrorLst修改一条
		// RegisterUpdateOneToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/updateone", serviceOfToyotaDeliveryOrderErrorLst.UpdateOne)
		// ToyotaDeliveryOrderErrorLst修改多条
		// RegisterUpdateToyotaDeliveryOrderErrorLst(toyotadeliveryordererrorlst, "/update", serviceOfToyotaDeliveryOrderErrorLst.Update)
		// ToyotaDeliveryOrderErrorLst 查询错误
		RegisterSelectError(toyotadeliveryordererrorlst, "/selecterror", serviceOfToyotaDeliveryOrderErrorLst.SelectError)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-10-20 09:58:33
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
